<?php
class exitintentpopup_admin{
	/**
	 * The loader that's responsible for maintaining and registering all hooks that power
	 * the plugin.
	 *
	 * @since    1.0.0
	 * @access   protected
	 * @var      Plugin_Name_Loader    $loader    Maintains and registers all hooks for the plugin.
	 */
	protected $loader; 

	/**
	 * The unique identifier of this plugin.
	 *
	 * @since    1.0.0
	 * @access   protected
	 * @var      string    $plugin_name    The string used to uniquely identify this plugin.
	 */
	protected $plugin_name;

	/**
	 * The current version of the plugin.
	 *
	 * @since    1.0.0
	 * @access   protected
	 * @var      string    $version    The current version of the plugin.
	 */
	protected $version;
	
		
	/**
	 * Define custom post type, meta option and settings.
	 *
	 * @since	1.0.0
	 */
	public function __construct( $plugin_name, $version, $loader ){
		$this->loader = $loader;
		$this->version = $version;
		$this->plugin_name = $plugin_name;
		

		/* aweber */
		add_action( 'wp_ajax_vtaweber_saveauthcode', array($this,'vtaweber_saveauthcode') );
		add_action( 'wp_ajax_nopriv_vtaweber_saveauthcode', array($this,'vtaweber_saveauthcode') );
		/* aweber */

		/* mailchimp */
		add_action( 'wp_ajax_vtmailchimp_apikeysave', array($this,'vtmailchimp_apikeysave') );
		add_action( 'wp_ajax_nopriv_vtmailchimp_apikeysave', array($this,'vtmailchimp_apikeysave') );
		/* mailchimp */ 

		/* getresponse */
		add_action( 'wp_ajax_vtgetresponse_apikeysave', array($this,'vtgetresponse_apikeysave') );
		add_action( 'wp_ajax_nopriv_vtgetresponse_apikeysave', array($this,'vtgetresponse_apikeysave') );
		/* getresponse */
		
		/* constantcontact */
		add_action( 'wp_ajax_vtconstantcontact_apikeysave', array($this,'vtconstantcontact_apikeysave') );
		add_action( 'wp_ajax_nopriv_vtconstantcontact_apikeysave', array($this,'vtconstantcontact_apikeysave') );
		/* constantcontact */

		/* icontact */
		add_action( 'wp_ajax_vticontact_apikeysave', array($this,'vticontact_apikeysave') );
		add_action( 'wp_ajax_nopriv_vticontact_apikeysave', array($this,'vticontact_apikeysave') );
		/* icontact */	
		
		/* Campaign Monitor */
		add_action( 'wp_ajax_vtcampaignmonitor_apikeysave', array($this,'vtcampaignmonitor_apikeysave') );
		add_action( 'wp_ajax_nopriv_vtcampaignmonitor_apikeysave', array($this,'vtcampaignmonitor_apikeysave') );
		/* Campaign Monitor */ 
 
		/* active campaign */
		add_action( 'wp_ajax_vtactivecampaign_apikeysave', array($this,'vtactivecampaign_apikeysave') );
		add_action( 'wp_ajax_nopriv_vtactivecampaign_apikeysave', array($this,'vtactivecampaign_apikeysave') );
		/* active campaign */

		/* hubspot */
		add_action( 'wp_ajax_vthubspot_apikeysave', array($this,'vthubspot_apikeysave') );
		add_action( 'wp_ajax_nopriv_vthubspot_apikeysave', array($this,'vthubspot_apikeysave') );
		/* hubspot */   
		
		/* Sendlane  */
		add_action( 'wp_ajax_vtsendlane_apikeysave', array($this,'vtsendlane_apikeysave') );
		add_action( 'wp_ajax_nopriv_vtsendlane_apikeysave', array($this,'vtsendlane_apikeysave') );
		/* Sendlane  */ 
		
		/* sendreach  */
		add_action( 'wp_ajax_vtsendreach_apikeysave', array($this,'vtsendreach_apikeysave') );
		add_action( 'wp_ajax_nopriv_vtsendreach_apikeysave', array($this,'vtsendreach_apikeysave') );
		/* sendreach  */ 
		
		/* sendinblue  */
		add_action( 'wp_ajax_vtsendinblue_apikeysave', array($this,'vtsendinblue_apikeysave') );
		add_action( 'wp_ajax_nopriv_vtsendinblue_apikeysave', array($this,'vtsendinblue_apikeysave') );
		/* sendinblue  */ 
		
		/* benchmark  */
		add_action( 'wp_ajax_vtbenchmark_apikeysave', array($this,'vtbenchmark_apikeysave') );
		add_action( 'wp_ajax_nopriv_vtbenchmark_apikeysave', array($this,'vtbenchmark_apikeysave') );
		/* benchmark  */    
		
		add_action( 'wp_ajax_vtgeneralsetting_save', array($this,'vtgeneralsetting_save') );
		add_action( 'wp_ajax_nopriv_vtgeneralsetting_save', array($this,'vtgeneralsetting_save') );
	}
	  
	public function register_submenu_settingpage(){		
		add_menu_page( 
		'Exit Intent',
		'Exit Intent',
		'manage_options',
		'exit-intent-popup-setting',
		array($this, 'exitintentpopup_renderp_settingpage'),
		plugin_dir_url( __FILE__ ) . 'images/exit.png');
		 
		add_submenu_page(
	        'exit-intent-popup-setting',
	        'Settings',
	        'Settings',
	        'manage_options',
	        'exit-intent-popup-setting'
	    ); 
		add_submenu_page(
	        'exit-intent-popup-setting',
	        'Popup',
	        'Popup',
	        'manage_options',
	        'exit-intent-popup-create',
	        array( $this, 'exitintentpopup_render_settingpage' )
	    );		
	} 
	 
	public function exitintentpopup_renderp_settingpage(){
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'admin/partials/exitintentpopup-settings.php'; 
	}
	public function exitintentpopup_render_settingpage(){
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'admin/partials/vtpopup-settings.php';
	} 
	
	
	public function admin_enqueue_scripts(){
		do_action( 'admin_print_scripts-post.php' );
	}
	
	public function admin_enqueue_styles(){
		do_action( 'admin_print_styles-post.php' );
	}
	 
	public function enqueue_scripts(){ 
		
		wp_enqueue_script( 'exitintentpopup-custom', plugin_dir_url(__FILE__) . 'js/exitintentpopup.js', array('jquery','wp-color-picker'), false, true ); 
		wp_enqueue_script( 'popup_custom', plugin_dir_url(__FILE__) . 'js/popup_custom.js', array('jquery','wp-color-picker'), false, true );
		wp_enqueue_media();
		//wp_enqueue_script('exitintentpopup-custom'); 
		//wp_enqueue_script( 'popup_custom' );  
		wp_localize_script('exitintentpopup-custom', 'ajaxobject', array(
			'ajaxurl' => admin_url( 'admin-ajax.php' ),
			)
		); 
		wp_localize_script('popup_custom', 'ajaxobject', array(
			'ajaxurl' => admin_url( 'admin-ajax.php' ),
			)
		); 
		
	} 
	 
	public function enqueue_styles(){
		wp_register_style( 'exitintentpopup-style', plugin_dir_url(__FILE__) . 'css/exitintentpopup.css' );
		wp_register_style( 'popup_style', plugin_dir_url(__FILE__) . 'css/popup-style.css' );
		wp_enqueue_style( 'wp-color-picker' ); 
		wp_enqueue_style('exitintentpopup-style');
		wp_enqueue_style('popup_style');
	}	
	 
	public function vtaweber_saveauthcode(){ 
		if(isset($_POST['action']) && $_POST['action'] == 'vtaweber_saveauthcode'){
			$authinfoCODE = get_option('vtaweber_authinfoCODE');
			if($_POST['vtaweber_apikey'] != $authinfoCODE){
				require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/aweber/aweber_api.php';
				$descr = '';
				$arr = array();
				try{
					list($consumer_key, $consumer_secret, $access_key, $access_secret) = AWeberAPI::getDataFromAweberID($_POST['vtaweber_apikey']);
				}catch (AWeberAPIException $exc){
					list($consumer_key, $consumer_secret, $access_key, $access_secret) = null;
					if(isset($exc->message)){
						$descr = $exc->message;
						$descr = preg_replace('/http.*$/i', '', $descr);	
						$descr = preg_replace('/[\.\!:]+.*$/i', '', $descr); 
						$descr = '('.$descr.')';
					}
				}catch (AWeberOAuthDataMissing $exc){
					list($consumer_key, $consumer_secret, $access_key, $access_secret) = null;
				}catch (AWeberException $exc){
					list($consumer_key, $consumer_secret, $access_key, $access_secret) = null;
				}
				if (!$access_secret){
					$arr['error'] = 'Unable to connect to your AWeber Account ' .$descr;
				}else{
					$authinfo = array(
						'consumer_key' => $consumer_key,
						'consumer_secret' => $consumer_secret,
						'access_key' => $access_key,
						'access_secret' => $access_secret,
					);
					update_option('vtaweber_authinfoDB',$authinfo);
					update_option('vtaweber_authinfoCODE',$_POST['vtaweber_apikey']);
					try {
						$aweber = new AWeberAPI($consumer_key, $consumer_secret);
						$account = $aweber->getAccount($access_key, $access_secret);
						$res = $account->lists;
					}catch (AWeberException $e){
						$arr['error'] = 'Unable to connect to your AWeber Account.';
					}
				}
				echo json_encode($arr);
			}else{
				echo json_encode(array('error'=>''));
			}
			die();
		}else{
			exit;
		}
	} 
	 	 
	public function vtmailchimp_apikeysave(){
		 if(isset($_POST['action']) && $_POST['action'] == 'vtmailchimp_apikeysave'){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/mailchimp/MCAPI.class.php';
					
			$api = new Mailchimp( $_POST['apikey'] );
			$retval = $api->get('lists');  
			$MailchimpRes = $api->getLastResponse(); 
			if($MailchimpRes['headers']['http_code']==0){
				echo json_encode(array('error'=>'Unable to connect to your Mailchimp Account.'));  
			}else{   
				update_option('vtmailchimp_apikey',$_POST['apikey']);
				echo json_encode(array('success'=>1)); 
			} 
			die(); 
		}else{
			exit; 
		} 		
	}
	 
	public function vtgetresponse_apikeysave(){
		if(isset($_POST['action']) && $_POST['action'] == 'vtgetresponse_apikeysave'){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/getresponse/jsonRPCClient.php';
			$api = new jsonRPCClient('http://api2.getresponse.com');
			try{
				$result = $api->get_campaigns($_POST['apikey']);
				update_option('vtgetresponse_apikey',$_POST['apikey']);
				echo json_encode(array('success'=>1));
			}catch (Exception $e){
				echo json_encode(array('error'=>'Unable to connect to your Getresponse Account.'));
				 
			}
			die();
		}else{
			exit;
		}
	}	
	
	public function vtconstantcontact_apikeysave(){
		if(isset($_POST['action']) && $_POST['action'] == 'vtconstantcontact_apikeysave'){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/constantcontact/class.cc.php';			
			 if ($_POST["ccusername"] && $_POST["ccpassword"]){
					$cc = new cc($_POST["ccusername"], $_POST["ccpassword"]);
				}				
				$res = $cc->get_lists('lists');
				if ($res){ 
					$ccinfo = array(
						'username' => $_POST["ccusername"],
						'password' => $_POST["ccpassword"]						
					);	
					update_option('vtconstantcontact_apikey',$ccinfo);
					echo json_encode(array('success'=>1));
				}else{
					echo json_encode(array('error'=>'Unable to connect to your Constant Contact Account.'));
				}	
		  die();
		}else{
			exit;
		}
	}	
	
	public function vticontact_apikeysave(){
		if(isset($_POST['action']) && $_POST['action'] == 'vticontact_apikeysave'){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/icontact/iContactApi.php';
			$data = array(
				'username' => $_POST['username'],
				'appid' => $_POST['appid'],
				'apppassword' => $_POST['apppass']
			);
			iContactApi::getInstance()->setConfig(array(
				'appId' => $data['appid'],
				'apiPassword' => $data['apppassword'],
				'apiUsername' => $data['username']
			));
			$oiContact = iContactApi::getInstance();
			try{
				$res = $oiContact->getLists();
				update_option('vticontact_apikey',$data);
				echo json_encode(array('success'=>1));
			}catch (Exception $oException){
				echo json_encode(array('error'=>'Unable to connect to your iContact Account.'));
				//var_dump($oiContact->getErrors());
			}
			die();
		}else{
			exit;
		}
	}
	
	public function vtcampaignmonitor_apikeysave(){
		if(isset($_POST['action']) && $_POST['action'] == 'vtcampaignmonitor_apikeysave'){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/CampaignMonitor/csrest_clients.php';
			$data = array( 
				'api_key' => $_POST['api_key'],
				'clientid' => $_POST['clientid']				
			);
			$wrap = new CS_REST_Clients($data["clientid"], $data["api_key"]);
			$cm_res = $wrap->get_lists();
				if ($cm_res->http_status_code != '200'){					
					echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
				}else{   
					if( count($cm_res->response) != 0 ){
						update_option('vtcampaignmonitor_apikey',$data);
						echo json_encode(array('success'=>1));						
					} 
					else {						
						echo json_encode(array('error'=>'Unable to connect to your campaign monitor Account.'));
					}
				}
			
			die(); 
		}else{
			exit;
		}
			
	}	
	
	public function vtactivecampaign_apikeysave(){
		if(isset($_POST['action']) && $_POST['action'] == 'vtactivecampaign_apikeysave'){			
			$data = array( 
				'api_url' => $_POST['api_url'],
				'api_key' => $_POST['api_key']				
			);
			$url = $data['api_url'];
			$api_key = $data['api_key'];
			$params = array(
				'api_key'      => $api_key,
				'api_action'   => 'list_paginator',
				'api_output'   => 'json',
				'somethingthatwillneverbeused' => '',
				'sort' => '',
				'offset' => 0,
				'limit' => 20,
				'filter' => 0,
				'public' => 0,
			);

			$query = "";
			foreach( $params as $key => $value ) $query .= $key . '=' . urlencode($value) . '&';
			$query = rtrim($query, '& ');
			$url = rtrim($url, '/ ');

			if ( !function_exists('curl_init') ) { 			
			echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
			}

			if ( $params['api_output'] == 'json' && !function_exists('json_decode') ) {			
				echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
			}
			$api = $url . '/admin/api.php?' . $query;

			$request = curl_init($api);
			curl_setopt($request, CURLOPT_HEADER, 0);
			curl_setopt($request, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($request, CURLOPT_FOLLOWLOCATION, true);
			$response = (string)curl_exec($request);
			curl_close($request);

			if ( !$response ) {
			 echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
			}

			$results = json_decode($response);

			if( $results->result_code == 0 ) { 
				 echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
			}else {
				if ( $results->cnt == 0 ) {
					echo json_encode(array('error'=>'Unable to connect to your Account.'));
				}
				else {
					update_option('vtactivecampaign_apikey',$data);
					echo json_encode(array('success'=>1));
				}
			}
			 
			die(); 
		}else{
			exit;
		} 
			
	} 
	
	public function vthubspot_apikeysave(){
		if(isset($_POST['action']) && $_POST['action'] == 'vthubspot_apikeysave'){
						
			$data = array( 
				'api_key' => $_POST['api_key'],							
			); 				
			$hubspotApiKey = $data['api_key'];
			$allListsArray = array();
			$lists = array(); 
			do {
				$parametersArray = array(
					'hapikey' => $hubspotApiKey,
					'count' => '100'
				);
				if(isset($offset)){
					$parametersArray['offset'] = $offset;
				}
				$urlParametersString = http_build_query($parametersArray);
				$url = "https://api.hubapi.com/contacts/v1/lists?$urlParametersString";

				$ch = curl_init();
				curl_setopt($ch, CURLOPT_URL, $url);
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
				$responseJson = curl_exec($ch);
				curl_close($ch);
				$responseArray = json_decode($responseJson, true);
				foreach($responseArray['lists'] as $list){                        
					if (isset($list['authorId'])) { 
						$lists[$list['listId']] =  $list['name'];
					} 
				}
				$offset = $responseArray['offset'];

			} while ($responseArray['has-more'] == true);

			if(!empty($lists)) {
				update_option('vthubspot_apikey',$data);
				echo json_encode(array('success'=>1));
			}else{
				echo json_encode(array('error'=>'There is no list in your account.'));
			}			
			die(); 
		}else{
			exit;
		}
			 
	}
	public function vtsendlane_apikeysave(){
		if(isset($_POST['action']) && $_POST['action'] == 'vtsendlane_apikeysave'){			
			$sendlanedata = array( 
				'user_url' => $_POST['user_url'],							
				'api_key' => $_POST['api_key'],							
				'hash_key' => $_POST['hash_key'],							
			); 	
						
			$url = $sendlanedata['user_url'];
			$api = $url . '/api/v1/lists';

			$post = array(
				'api'    => $sendlanedata['api_key'],
				'hash'   => $sendlanedata['hash_key']
			);

			$data = "";
			foreach( $post as $key => $value ) $data .= $key . '=' . urlencode($value) . '&';
			$data = rtrim($data, '& ');

			$request = curl_init($api);
			curl_setopt($request, CURLOPT_HEADER, 0);
			curl_setopt($request, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($request, CURLOPT_POSTFIELDS, $data);
			curl_setopt($request, CURLOPT_FOLLOWLOCATION, true);

			$response = (string)curl_exec($request);
			curl_close($request);


			if( $response == '' ) {				
				echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
			}else {
				$result = json_decode($response);
				if( isset ($result->error) ) {
					echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
				}else {
					if ( !isset($result[0]->list_id)) {
						echo json_encode(array('error'=>'There is no list in your account.'));
					}else {
						update_option('vtsendlane_apikey',$sendlanedata);
						echo json_encode(array('success'=>1));
					}
				} 
			}
			die(); 
		}else{
			exit;
		}
			
	}
	
	public function vtsendreach_apikeysave(){
		if(isset($_POST['action']) && $_POST['action'] == 'vtsendreach_apikeysave'){			
			$sendreachdata = array(  
				'public_key' => $_POST['public_key'],		 			 		
				'private_key' => $_POST['private_key'],	
			); 	 
			define('publicKey',$_POST['public_key']);  
			define('privateKey',$_POST['private_key']); 
		
			require_once  plugin_dir_path( dirname( __FILE__ ) ) . '/includes/SendReach/setup.php';
			$endpoint = new MailWizzApi_Endpoint_Lists();
			$response = $endpoint->getLists($pageNumber = 1, $perPage = 10);
			$body = $response->body;   
			 
			$list = array(); 
			$bool = false;

			foreach($body as $key=>$val) {
				if( $val != 'success' ) {
					if( $val['count'] > 0 ) {

						foreach( $val['records'] as $solo_rec ) {
							$list[$solo_rec['general']['list_uid']] = $solo_rec['general']['name'];
							$bool = true;
						}
						
					}
				}
			}
			
			if($bool == true){
				update_option('vtsendreach_apikey',$sendreachdata);
				echo json_encode(array('success'=>1));
				
			}else{
				echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
			}
			die(); 			
		}else{
			exit;
		}
			 
	}	 
	public function vtsendinblue_apikeysave(){
		if(isset($_POST['action']) && $_POST['action'] == 'vtsendinblue_apikeysave'){
			require_once  plugin_dir_path( dirname( __FILE__ ) ) . '/includes/Sendinblue/Mailin.php';			
			$sendinbluedata = array(  
				'api_key' => $_POST['api_key'],	
			); 	 
			$key = $_POST['api_key'];			
			$mailin = new Mailin('https://api.sendinblue.com/v2.0',$key);
			$data = array(
			  "page" => 1,
			  "page_limit" => 50
			);
			$retvals = $mailin->get_lists($data);
			
			if( $retvals['code'] == 'success' ) {
				if( count($retvals['data']['lists']) > 0 ) {
					$list = array();
					foreach($retvals['data']['lists'] as $retval){
						$list[$retval['id']] = $retval['name']; 
					} 
					update_option('vtsendinblue_apikey',$sendinbluedata);
					echo json_encode(array('success'=>1)); 
				}else {
					echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
				}
			}else {
				echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
			}			
			die(); 			
		}else{
			exit;
		}
			
	}	
	public function vtbenchmark_apikeysave(){
		if(isset($_POST['action']) && $_POST['action'] == 'vtbenchmark_apikeysave'){	
			require_once  plugin_dir_path( dirname( __FILE__ ) ) . '/includes/Benchmark/BMEAPI.class.php'; 
			$benchmarkdata = array(   
				'username' => $_POST['busername'],	
				'password' => $_POST['bpassword'],	
			); 	  
			$username = $benchmarkdata['username'];
            $password = $benchmarkdata['password'];
            $apiURL = 'http://www.benchmarkemail.com/api/1.0/';
			$api = new BMEAPI($username, $password, $apiURL);
						
			if (!$api->errorCode){
				$retvals = $api->listGet("", 1, 10, "", "");
                if ($retvals){	
					update_option('vtbenchmark_apikey',$benchmarkdata);
					echo json_encode(array('success'=>1));
				}else{					
					echo json_encode(array('error'=>'There is no list in your account.'));
				}
			}else{  
				echo json_encode(array('error'=>'Error occur may be somethig wrong.'));
			} 
						
			die(); 			
		}else{
			exit;
		}
			
	} 
	
	public function vtgeneralsetting_save(){
		if(isset($_POST['action']) && $_POST['action'] == 'vtgeneralsetting_save'){
			update_option('vtsuccessmsgcolor',$_POST['success']);
			update_option('vtsuccessmsgtxt',$_POST['msg']);
			echo json_encode(array('success'=>1));
			die();
		}else{
			exit;
		}
	}
	
	
	
	
	 
	public function constantcontactlist(){
		$arr = array('select'=>0);
		$ccinfo = get_option('vtconstantcontact_apikey');
		if(!empty($ccinfo)){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/constantcontact/class.cc.php';
			$cc = new cc($ccinfo['username'], $ccinfo['password']);
			$res = $cc->get_lists('lists');
			if ($res){ 
				foreach ($res as $v){ 
					$arr[$v['Name']] = $v['id'];
				}
			}else{
				 $arr[] = 'Unable to connect to your Constant Contact Account.';
			}	
		}
		return $arr;		
	}
	 
	public function icontactlist(){
		$arr = array('select'=>0);
		$icontactinfo = get_option('vticontact_apikey');
		if(!empty($icontactinfo)){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/icontact/iContactApi.php';
			iContactApi::getInstance()->setConfig(array(
				'appId' => $icontactinfo['appid'],
				'apiPassword' => $icontactinfo['apppassword'],
				'apiUsername' => $icontactinfo['username']
			));
			$oiContact = iContactApi::getInstance();
			try{
				$res = $oiContact->getLists();
				foreach ($res as $v){
					$arr[$v->name] = $v->listId;
				}
			}catch (Exception $oException){
				
			}
		}
		return $arr;		
	} 
	
	/**
	 * Create custom post type vtaa_sidebar.
	 *
	 * @since	1.0.0
	 */
	 	 
	public function get_subscriber_setting(){
		if(empty($_POST['responder'])){
			echo json_encode(array( 'error' => 'Error occur may be something wrong.'));
			return;
		}
			if($_POST['responder']=='Aweber'){ 
			$list = aweberlist();
			}elseif($_POST['responder']=='Mailchimp'){
			$list = mailchimplist();
			}elseif($_POST['responder']=='Getresponse'){
			$list = getresponselist();
			}elseif($_POST['responder']=='Constant_Contact'){
			$list = constantcontactlist();
			}elseif($_POST['responder']=='iContact'){
			$list = icontactlist();
			}elseif($_POST['responder']=='campaignmonitor'){
				$list = campaignmonitorlist();
			}elseif($_POST['responder']=='activecampaign'){
				$list = activecampaignlist();
			}elseif($_POST['responder']=='hubspot'){
				$list = hubspotlist(); 
			}elseif($_POST['responder']=='sendlane'){
				$list = sendlanelist(); 
			}elseif($_POST['responder']=='sendreach'){
				$list = sendreachlist();  
			}elseif($_POST['responder']=='sendinblue'){
				$list = sendinbluelist();  
			}elseif($_POST['responder']=='benchmark'){
				$list = benchmarklist();  
			}   
			echo json_encode($list);  
			//echo "Hello";
		die();
	}	

		public function vtps_popup_settings(){ 
		
		if(isset($_POST['key']) && $_POST['key'] == 'delete'){
			global $wpdb;

			$prefix = $wpdb->prefix;

			$table = $prefix . 'vt_popup';
			$popup_id = $_POST['popup_id'];
			if($wpdb->delete($table, array( 'popup_id' => $popup_id ) )){
				$result = array('success'=>1);
			}else{
				$result = array('error'=>1);
			}

			echo json_encode($result);

			die();
		}

		global $wpdb;

		$prefix = $wpdb->prefix;

		$table = $prefix . 'vt_popup';
		$popup_id = $_POST['popup_id'];
		unset($_POST['action']);
		unset($_POST['popup_id']);
		$vpage = $_POST['selpage'];
		if(!empty($vpage)){
		$selpage = implode(',', $vpage);
		}else{
			$selpage = '';
		}
		$vpost = $_POST['selpost'];
		if(!empty($vpost)){
			$selpost = implode(',', $vpost);
		}else{  
			$selpost = '';
		}
		
		$array = array( 
			'popup_name' => $_POST['popup_name'], 
			'page_ids' => $selpage,
			'post_ids' => $selpost,			
		); 
		 
		$array['popup_details'] = json_encode($_POST);

		if(!empty($popup_id)){
			if($wpdb->update($table, $array, array( 'popup_id' => $popup_id ) )){
				$result = array('success'=>'Settings are saved successfully.');
			}else{
				$result = array('error'=>'Settings are not saved. Some thing may be worng.');
			}
		}else{
			if($wpdb->insert($table, $array)){
				$result = array('success'=>'Settings are saved successfully.');
			}else{
				$result = array('error'=>'Settings are not saved. Some thing may be worng.');
			}
		} 

		echo json_encode($result);

		die(); 
	}	

}
function aweberlist(){
		$arr = array('0'=>'select');
		
		$authinfo = get_option('vtaweber_authinfoDB'); 
		
		if(!empty($authinfo)){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/aweber/aweber_api.php';
			try {
				$aweber = new AWeberAPI($authinfo['consumer_key'], $authinfo['consumer_secret']);
				$account = $aweber->getAccount($authinfo['access_key'], $authinfo['access_secret']);
				$res = $account->lists;
				if($res){
					foreach ((array) $res->data['entries'] as $v){
						$arr[$v['id']] = $v['name'];
					}
				}
			}catch (AWeberException $e){
				$arr[] = 'Unable to connect to your AWeber Account.';
			}
		}  
		
		return $arr; 
	}
function mailchimplist(){
		$arr = array('0'=>'select');
		$apikey = get_option('vtmailchimp_apikey');
		if(!empty($apikey)){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/mailchimp/MCAPI.class.php';
			
			
			$key = $apikey;
			
			$api = new Mailchimp( $apikey );
			$retval = $api->get('lists');	
			
			if (!empty($retval['lists'])){
				if($retval['lists'] != 0){
					foreach ($retval['lists'] as $v){
						$arr[$v['id']] = $v['name'];
					} 
				}else{ 
					$arr[] = 'There is no list in your account';
				}
			}else{
				$arr[] =  'Unable to connect to your Mailchimp Account.';
			} 
 
 
		} 
		return $arr;
	}
	function getresponselist(){
		$arr = array('0'=>'select');
		$apikey = get_option('vtgetresponse_apikey');
		if(!empty($apikey)){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/getresponse/jsonRPCClient.php';
			$api = new jsonRPCClient('http://api2.getresponse.com');
			try{
				$result = $api->get_campaigns($apikey);
				foreach ((array) $result as $k => $v)
				{
					$arr[$v['name']] = $k;
				}
			}catch (Exception $e){
				$arr[] = 'Unable to connect to your Getresponse Account.';
			}
		}
		return $arr; 
	}
	function constantcontactlist(){
		$arr = array('0'=>'select');
		$ccinfo = get_option('vtconstantcontact_apikey');
		if(!empty($ccinfo)){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/constantcontact/class.cc.php';
			$cc = new cc($ccinfo['username'], $ccinfo['password']);
			$res = $cc->get_lists('lists');
			if ($res){ 
				foreach ($res as $v){ 
					$arr[$v['id']] = $v['Name'];
				}
			}else{
				 $arr[] = 'Unable to connect to your Constant Contact Account.';
			}	
		}
		return $arr;		 
	}
	 
	function icontactlist(){
		$arr = array('0'=>'select');
		$icontactinfo = get_option('vticontact_apikey');
		if(!empty($icontactinfo)){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/icontact/iContactApi.php';
			iContactApi::getInstance()->setConfig(array(
				'appId' => $icontactinfo['appid'],
				'apiPassword' => $icontactinfo['apppassword'],
				'apiUsername' => $icontactinfo['username']
			));
			$oiContact = iContactApi::getInstance();
			try{
				$res = $oiContact->getLists();
				foreach ($res as $v){
					$arr[$v->listId] = $v->name;
				}
			}catch (Exception $oException){
				
			}
		}
		return $arr;		
	}
	
function campaignmonitorlist(){
		$arr = array('0'=>'select');
		$campaignmonitorinfo = get_option('vtcampaignmonitor_apikey');
		if(!empty($campaignmonitorinfo)){
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/CampaignMonitor/csrest_clients.php';
				$wrap = new CS_REST_Clients($campaignmonitorinfo["clientid"], $campaignmonitorinfo["api_key"]);
				$cm_res = $wrap->get_lists(); 
				if ($cm_res->http_status_code != '200'){
					 $arr[] = 'Error occur may be somethig wrong.';
				}else{   
					if( count($cm_res->response) != 0 ){						
						foreach ($cm_res->response as $solo_list){
							$arr[$solo_list->ListID] = $solo_list->Name;
						}				
					} 
					else {				
						 $arr[] = 'Unable to connect to your campaign monitor Account.';
					}
				} 
		}
		return $arr;		
}	
function activecampaignlist(){  
		$arr = array('0'=>'select');
		$activecampaign = get_option('vtactivecampaign_apikey');
		if(!empty($activecampaign)){
			$url = $activecampaign['api_url'];
			$api_key = $activecampaign['api_key'];
			$params = array(
				'api_key'      => $api_key,
				'api_action'   => 'list_paginator',
				'api_output'   => 'json',
				'somethingthatwillneverbeused' => '',
				'sort' => '',
				'offset' => 0,
				'limit' => 20,
				'filter' => 0,
				'public' => 0,
			); 

			$query = "";
			foreach( $params as $key => $value ) $query .= $key . '=' . urlencode($value) . '&';
			$query = rtrim($query, '& ');
			$url = rtrim($url, '/ ');

			if ( !function_exists('curl_init') ) { 			
				$arr[] = 'Error occur may be somethig wrong.';
			} 

			if ( $params['api_output'] == 'json' && !function_exists('json_decode') ) {			
				$arr[] = 'Error occur may be somethig wrong.';
			}
			$api = $url . '/admin/api.php?' . $query;

			$request = curl_init($api);
			curl_setopt($request, CURLOPT_HEADER, 0);
			curl_setopt($request, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($request, CURLOPT_FOLLOWLOCATION, true);
			$response = (string)curl_exec($request);
			curl_close($request); 

			if ( !$response ) {
			 $arr[] = 'Error occur may be somethig wrong.';
			}

			$results = json_decode($response);

			if( $results->result_code == 0 ) { 				
				 $arr[] = 'Error occur may be somethig wrong.';
			}else {
				if ( $results->cnt == 0 ) {
					$arr[] = 'Error occur may be somethig wrong.';
				}
				else { 
					foreach ($results->rows as $solo_list){
						$list_key = $solo_list->id;
						$list_name = $solo_list->name;
						$arr[$list_key] = $list_name;
					}
				}
			}
		}
		return $arr;		
}
function hubspotlist(){   
		$arr = array('0'=>'select');
		$hubspot = get_option('vthubspot_apikey');
		if(!empty($hubspot)){
			$hubspotApiKey = $hubspot['api_key'];
			$allListsArray = array();
			$lists = array();
			do {
				$parametersArray = array(
					'hapikey' => $hubspotApiKey,
					'count' => '100' 
				);
				if(isset($offset)){
					$parametersArray['offset'] = $offset; 
				}
				$urlParametersString = http_build_query($parametersArray);
				$url = "https://api.hubapi.com/contacts/v1/lists?$urlParametersString";
				$ch = curl_init();
				curl_setopt($ch, CURLOPT_URL, $url);
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
				$responseJson = curl_exec($ch);
				curl_close($ch);
				$responseArray = json_decode($responseJson, true);
				foreach($responseArray['lists'] as $list){                        
					if (isset($list['authorId'])) { 
						$arr[$list['listId']] =  $list['name'];
						$lists[$list['listId']] =  $list['name'];
					}                    
				}
				$offset = $responseArray['offset'];
			} while ($responseArray['has-more'] == true);
			if(empty($lists)){			
				$arr[] = 'There is no list in your account.';
			}
}
return $arr;	
}
function sendlanelist(){   
		$arr = array('0'=>'select');
		$sendlane = get_option('vtsendlane_apikey');
		if(!empty($sendlane)){			
			$url = $sendlane['user_url'];
			$api = $url . '/api/v1/lists';

			$post = array(
				'api'    => $sendlane['api_key'],
				'hash'   => $sendlane['hash_key']
			);
 
			$data = "";
			foreach( $post as $key => $value ) $data .= $key . '=' . urlencode($value) . '&';
			$data = rtrim($data, '& ');

			$request = curl_init($api);
			curl_setopt($request, CURLOPT_HEADER, 0);
			curl_setopt($request, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($request, CURLOPT_POSTFIELDS, $data);
			curl_setopt($request, CURLOPT_FOLLOWLOCATION, true);

			$response = (string)curl_exec($request);
			curl_close($request);


			if( $response == '' ) {				
				$arr[] = 'Error occur may be somethig wrong.';
			}else {
				$result = json_decode($response);
				if( isset ($result->error) ) {
					$arr[] = 'Error occur may be somethig wrong.';
				}else {
					if ( !isset($result[0]->list_id)) {
						$arr[] = 'Error occur may be somethig wrong.';
					}else {
						$list = array();
						foreach ($result as $solo_list){
							$list_key = $solo_list->list_id;
							$list_name = $solo_list->list_name;
							$arr[$list_key] = $list_name;
						}						
					}
				}
			}  
}
return $arr;
}
function sendreachlist(){   
		$arr = array('0'=>'select');
		$sendreach = get_option('vtsendreach_apikey');
		if(!empty($sendreach)){			
			define('publicKey',$sendreach['public_key']);  
			define('privateKey',$sendreach['private_key']);  		
			require_once  plugin_dir_path( dirname( __FILE__ ) ) . '/includes/SendReach/setup.php';
		  
			$endpoint = new MailWizzApi_Endpoint_Lists();
			$response = $endpoint->getLists($pageNumber = 1, $perPage = 10);
			$body = $response->body;			
			$list = array();   
			$bool = false;
			foreach($body as $key=>$val) {
				if( $val != 'success' ) {
					if( $val['count'] > 0 ) {
						foreach( $val['records'] as $solo_rec ) {
							$arr[$solo_rec['general']['list_uid']] = $solo_rec['general']['name'];
							$bool = true;
						}						
					}
				} 
			} 			
			if($bool != true){
				$arr[] = 'There is no list in your account.';
			}		  
		}
	return $arr;
} 
function sendinbluelist(){    
		$arr = array('0'=>'select');
		$sendinblue = get_option('vtsendinblue_apikey');
		if(!empty($sendinblue)){
			require_once  plugin_dir_path( dirname( __FILE__ ) ) . '/includes/Sendinblue/Mailin.php';		
			$key = $sendinblue['api_key'];			
			$mailin = new Mailin('https://api.sendinblue.com/v2.0',$key);

			$data = array(
			  "page" => 1,
			  "page_limit" => 50
			); 
			$retvals = $mailin->get_lists($data);
			
			if( $retvals['code'] == 'success' ) {
				if( count($retvals['data']['lists']) > 0 ) {
					$list = array();
					foreach($retvals['data']['lists'] as $retval){
						$arr[$retval['id']] = $retval['name'];
					}					
				}else {
					$arr[] = 'There is no list in your account.';
				}
			}else {
				$arr[] = 'There is no list in your account.';
			}		  
		}
	return $arr;
}
function benchmarklist(){      
		$arr = array('0'=>'select'); 
		$benchmark = get_option('vtbenchmark_apikey');
		if(!empty($benchmark)){
			require_once  plugin_dir_path( dirname( __FILE__ ) ) . '/includes/Benchmark/BMEAPI.class.php'; 
			
			$username = $benchmark['username'];
            $password = $benchmark['password'];
            $apiURL = 'http://www.benchmarkemail.com/api/1.0/';
			$api = new BMEAPI($username, $password, $apiURL);						
			if (!$api->errorCode){
				$retvals = $api->listGet("", 1, 10, "", "");
                if ($retvals){
					foreach($retvals as $retval)
                    {
						$arr[$retval['id']] = $retval['listname'];
					}
				}else{
					$arr[] = 'There is no list in your account.';
				} 
			}else{
				$arr[] = 'Error occur may be somethig wrong.';
			}		  
		}
	return $arr; 
}
	 
function get_videoID($url){
		$parsed = parse_url($url);
		$hostname = $parsed['host']; 
		if($hostname == 'www.youtube.com' || $hostname == 'youtube.com'){
			parse_str( parse_url( $url, PHP_URL_QUERY ), $id );
			return 'http://www.youtube.com/embed/'.$id['v'].'?rel=0&autoplay=1&showinfo=0&controls=0&enablejsapi=1';
		}elseif($hostname=='vimeo.com'){
			$ArrV = explode('://vimeo.com/',$path); // from ID to end of the string
			$videoID = substr($ArrV[0],1,8); // to get video ID , always length is 8 characters
			return 'http://player.vimeo.com/video/'.intval($videoID);
		}else{
			return '';
		}
	}	
?>