
jQuery(document).ready(function($){
	'use strict';
	
	var global_template = '';
	var popupchange = false;


	function get_template_number(){
		return global_template == '' ? $('#vtps_popup_select_template').val() : '';
	}
	
	
	
	$('.vtps_color_picker').wpColorPicker({
		change:function(e ,ui){
			var element = e.target;
        	var color = ui.color.toString();
        	if($(element).hasClass('vtps_popup_field')){
        		var cls = $(element).data('pop_cls');
        		var req = $(element).data('req');
        		if(global_template == '') global_template = get_template_number();
        		var obj = $('.vtps_popup_'+ global_template +' .'+cls);
				
				//alert(cls);
        		if(cls != undefined && req != undefined){
	        		if(req == 'bg-color'){
	        			obj.data('bg-color',color);
	        			obj.css({'background-color':color});
	        		}
	        		if(req == 'color'){
	        			obj.data('color',color);
	        			obj.css({'color':color});
						
	        		}
					if(req == 'border-color'){ 
						obj.data('border-color',color);
	        			obj.hover(function(e) { 
						    $(this).css("border-color",e.type === "mouseenter"?color:$(this).data('border-color')) 
						});
						
	        		} 
					
	        		if(req == 'hv-bg-color'){
	        			obj.data('hv-bg-color',color);
	        			obj.hover(function(e) { 
						    $(this).css("background-color",e.type === "mouseenter"?color:$(this).data('bg-color')) 
						});
	        		}
	        		if(req == 'hv-color'){
	        			obj.data('hv-color',color);
	        			obj.hover(function(e) { 
						    $(this).css("color",e.type === "mouseenter"?color:$(this).data('color')) 
						});
	        		}					
        		}
        	}
		}
	});
	 
	$('body').on('click', '#vtps_popup_setting', function(e){
		var arr = {}, obj = $(this);
		$('.popup_name_error').text(" "); 
		$('.vtps_popup_select_template_error').text(" ");
		$('.vtps_popup_html_error').text(" ");
		var ptemplate = $('#vtps_popup_select_template').val(); 
		var pname = $('#vtps_popup_name').val(); 
		
		
		if(pname == undefined || pname  == '' ){
				$('.popup_name_error').text("Please enter popup name");
				return false; 
			}
			
			if(ptemplate == undefined || ptemplate  == '' ){
				$('.vtps_popup_select_template_error').text("Please Select Template");
				return false; 
			}
		
		if(ptemplate!='Custom HTML'){
			$('.vtps_popup_field').each(function( index, value ){
				var name = $(this).attr( 'name' );
				var type = $(this).attr( 'type' );
				
				//alert($('input[name='+name+']').val()+'--'+name);
				if(type=='checkbox'){
					var val = $('input[name='+name+']:checked').val();
					/*$('input[name='+name+']:checked').each(function(i){
						val[i] = $(this).val();
					});*/
					arr[name] =  val != undefined ? val : '';
				}else if(type=='radio'){
					var val = $('input[name='+name+']:checked').val();	
					arr[name] =  val != undefined ? val : '';
				}else{
					arr[name] = $(this).val();
				}
	 
			});
		}else{
			var htmldata = $('#vtps_popup_custom_html_main').val();
			
			if(htmldata == undefined || htmldata  == '' ){
				$('.vtps_popup_html_error').text("Please Enter Custom Html");
				return false;  
			}
			
			arr['popup_name'] = pname;
			arr['popup_template'] = ptemplate;
			arr['popup_type'] = 'custom_html';
			arr['vtps_popup_custom_html'] = htmldata;		
		} 
		
		
		var selpage = [];
        $.each($(".vtps_setting_page_field option:selected"), function(){
            selpage.push($(this).val());
        });
		
        		
		var selpost = [];
        $.each($(".vtps_setting_post_field option:selected"), function(){
            selpost.push($(this).val());
        });
		arr['selpage'] = selpage;
		arr['selpost'] = selpost;
		 
		  
		  
		arr['action'] = 'vtps_popup_settings';
		 

		var popup_id = $("#vtps_popup_id").val();

		arr['popup_id'] = popup_id; 
				
		$('.hs_loading').show();
		 
		$.ajax({ 
			type:"post",
			url:ajaxurl,			
			data:arr,
			success:function(data){	 				
				var result = jQuery.parseJSON(data);	
				obj.parent().next('div.vtps_success').show();
				if(result.success){					
					obj.parent().next('div.vtps_success').html(result.success);					
				}else{
					obj.parent().next('div.vtps_success').html(result.error);
				}	
				obj.parent().next('div.vtps_success').hide(3000);
				$('.hs_loading').hide();
				location.reload();
			},
		});	
		 
	});	
	

	 
	
	//inner tabs script
	$(document).on('click', '.hs_tab_list ul li',function(){
		$('.hs_tab_list ul li').removeClass("active");
		$(this).addClass("active");
		var content= $(this).attr('data-show');
		var cls = $(this).data('class');
		$(".hs_tab_content").removeClass("active");
		$("#"+content).addClass("active");
		//set_last_seen_tab('vtps_last_seen_lead_tab', cls);
	});
	

	

	
	//engage table js
	var table_i= 0;
	$('.engage_table table tr').each(function(){
		table_i++;
		var newID ='row_'+table_i;
		$(this).attr('id',newID);
		if (table_i > 6) {
			$(this).parents(".engage_table").addClass('scroll_div');
		}
	});
	
	//add scroll in lead bank table
	var lead_i= 0;
	$('.vtps_lead_bank_tbl table tr').each(function(){
		lead_i++;
		var newID ='row_id'+lead_i;
		$(this).attr('id',newID);
		if (lead_i > 10) {
			$(this).parents(".vtps_lead_bank_tbl").addClass('table_scroll_div');
		}
	});
	//add scroll in optimization (backlinks) tab table
	var opt_table_i= 0;
	$(".vtps_optim_table_1 table tr").each(function(){
		opt_table_i++;
		var rowid = 'linkrow_'+opt_table_i;
		$(this).attr("id",rowid);
		if (opt_table_i > 11) {
			$(this).parents(".vtps_optim_table_1").addClass('backlink_scroll_div');
		}
	});
	var opt_table_i= 0;
	$(".vtps_optim_table_2 table tr").each(function(){
		opt_table_i++;
		var rowid = 'linkrow_'+opt_table_i;
		$(this).attr("id",rowid);
		if (opt_table_i > 11) {
			$(this).parents(".vtps_optim_table_2").addClass('backlink_scroll_div');
		}
	});
	

	$('.vtps_close_btn').on('click',function(){
		$(this).parents(".vtps_stats_tbl_pop_wrap").hide(500);
		$('#vtps_sts_pop_1 .vtps_stats_box').html('');
		$('#vtps_sts_pop_1 .vtps_pop_table').html('');
		$('#vtps_sts_pop_1 .vtps_stats_box').show();
	});
	$('.vtps_stats_tbl_pop').on('click',function(){	
		return false ;
	});
  

	$("#vtps_spereate_popup").change(function() {
	    if(this.checked) {
	        $('.vtps_lead_megnet_popup').show();
	    }else{
	    	$('.vtps_lead_megnet_popup').hide();
	    }
	});  

	$('#vtps_create_popup').click(function(e){ 
		e.preventDefault();
		$('#vtps_close_popup_form').show();
		$('.vtps_popup_tables').fadeOut(300);
		$('.vtps_add_popup').fadeIn(300);
		
	});
	$('#vtps_close_popup_form').hide();

	$('#vtps_close_popup_form').click(function(e){
		e.preventDefault();
		$('.vtps_add_popup').fadeOut(300);
		$('.vtps_popup_tables').fadeIn(300);
		location.reload();
	});

	
	
	$('#vtps_popup_select_template').change(function(e){
		e.preventDefault();
		var template = $(this).val();
		global_template = template;
		if(popupchange == true){
			if (!confirm("Are you sure you want to change the template!")) {
				$(this).val($.data(this, 'current'));
				return false;
			}			 
		}
		
		$.data(this, 'current', template);
		
		if(template !='Custom HTML'){
		$('.vtps_popup_custom_html').hide();
	   $('.megnat_temp_preview').show();
	   $('.vtps_popup_template').show();

		$('.vtps_modal_popup_overlay_new').hide();
		$('.hs_input_section,.hs_input_section_color').each(function( index, value ){
	 		if ($(this).data('template') != undefined) $(this).hide();
	 	});

		
		var cls = '', req = '', val = '',obj = '';
		var template_cls = '.vtps_popup_'+template;
		$(template_cls).fadeIn(100);

		$(template_cls+' input').attr('style', '');
		$(template_cls+' div').attr('style', '');

		$('.vtps_popup_field').each(function( index, value ){
			cls = $(this).data('pop_cls');
			req = $(this).data('req');
			obj = $('.vtps_popup_'+ template +' .'+cls);
			if(cls != undefined && req != undefined){

				val = obj.data(req);
				//console.log(val);	
				if(req == 'txt' || req == 'url'){
					if(val == 'yes' || val == 'no'){
						$(this).attr( 'checked', 'checked' );
					}else{
						$(this).val( val );
					}
				}else if(req == 'html'){
					$(this).val(obj.html());
				}
				else{					
					$(this).wpColorPicker('color',val);
				}
			}

			var c = $(this).parents('.hs_input_section').data('template');
			if(c != undefined){
				var res = c.split(',');
				//console.log(c);
				if($.inArray(template, res) > -1){
					$(this).parents('.hs_input_section').show();
				}
			}

			var d = $(this).parents('.hs_input_section_color').data('template');
			if(d != undefined){
				var rest = d.split(',');
				//console.log(c);
				if($.inArray(template, rest) > -1){
					$(this).parents('.hs_input_section_color').show();
				}
			}

		});

		
		
	}else{
	   $('.vtps_popup_custom_html').show();
	   $('.megnat_temp_preview').hide();
	   $('.vtps_popup_template').hide();
	   
	}

	});

	$('.vtps_popup_field_preview_keypress').keyup(function(e){
		
		e.preventDefault();
		popupchange = true;		
		var cls = $(this).data('pop_cls');
		var req = $(this).data('req');
		var val = this.value;
		var obj = $('.vtps_popup_'+ global_template +' .'+cls);
		if(cls != undefined && req != undefined){
			obj.text(val);
			obj.data(req,val);
		}
		
		
	});

	$('.vtps_popup_field_preview_desscription').focusout(function(e){
		e.preventDefault();
		var cls = $(this).data('pop_cls');
		var req = $(this).data('req');
		var val = this.value;
		var obj = $('.vtps_popup_'+ global_template +' .'+cls);
		if(cls != undefined && req != undefined){
			obj.html(val);
			popupchange = true;
		}
		
	});

	$('.vtps_popup_field_preview_place').keyup(function(e){
		e.preventDefault();
		var cls = $(this).data('pop_cls');
		var req = $(this).data('req');
		var val = this.value;
		var obj = $('.vtps_popup_'+ global_template +' .'+cls);
		if(cls != undefined && req != undefined){
			obj.attr('placeholder', val);
			obj.data(req,val);
			popupchange = true;
		}
		
	});

	$('.vtps_popup_field_preview_btn').keyup(function(e){
		e.preventDefault();
		var cls = $(this).data('pop_cls');
		var req = $(this).data('req');
		var val = this.value;
		var obj = $('.vtps_popup_'+ global_template +' .'+cls);
		if(cls != undefined && req != undefined){
			obj.val(val);
			obj.data(req,val);
			popupchange = true;
		}
		
	});
		
	$('.vtps_popup_field_preview_checkbox').change(function(e){
		var cls = $(this).data('pop_cls');
		var req = $(this).data('req');
		var obj = $('.vtps_popup_'+ global_template +' .'+cls);
		if(this.checked) {
        	obj.show();
        	obj.data(req,'yes');
    	}else{
    		obj.hide();
    		obj.data(req,'no');
    	}
		popupchange = true;
	});

	$('.vtps_popup_field_preview_video').focusout(function(e){
		e.preventDefault();
		var cls = $(this).data('pop_cls');
		var req = $(this).data('req');
		var val = $(this).val();
		var obj = $('.vtps_popup_'+ global_template +' .'+cls);
		val = 'https://www.youtube.com/embed/' + youtubevideo_getId(val);
		if(cls != undefined && req != undefined){
			obj.find('iframe').attr('src',val);
			obj.data(req,val);
		}
	});

	 $('.hs_input_section,.hs_input_section_color').each(function( index, value ){
	 		if ($(this).data('template') != undefined) $(this).hide();
	 });

	function youtubevideo_getId(url) {
	    var regExp = /^.*(youtu.be\/|v\/|u\/\w\/|embed\/|watch\?v=|\&v=)([^#\&\?]*).*/;
	    var match = url.match(regExp);

	    if (match && match[2].length == 11) {
	        return match[2];
	    } else {
	        return 'error';
	    }
	}

	$('.vtps_optin_success_action').change(function(e){
		e.preventDefault();
		var val = $(this).val();
		if(val == 'url'){			
			$('.hs_new_page_url').show();			
			$('.vtps_popup_thankyou').hide();			
		}else{
			$('.hs_new_page_url').hide();			
			$('.vtps_popup_thankyou').show();
		}
	}); 
	$('.vtps_popup_thankyou').hide();
	 
	$('.vtps_select_get_list').on('change',function(e, list_id){
		e.preventDefault();

		if($(this).val() == '') return false;
		
		$.ajax({
			url  :  ajaxurl,
			data : { 'action' : 'get_subscriber_setting', 'responder' : $(this).val() }, 
			type : 'post', 
			success : function(data){
				var results = jQuery.parseJSON(data);				
				$('.vtps_select_set_list option').remove();
				if(results){
					var list = results;	
					$.map(list, function(value, index) {
						$('.vtps_select_set_list').append(jQuery("<option>", { 
							value: index,
							text : value
						})); 
					});
					if(list_id != undefined) $('.vtps_select_set_list').val(list_id);
				} 
			}
		});
	});

	$('.vtps_popup_edit').click(function(e){
		e.preventDefault();
		var popup_id = $(this).data('popup_id');
		var edit = jQuery.parseJSON( atob( $(this).data('edit') ) );

		$('.vtps_popup_field').each(function( index, value ){
			var name = $(this).attr( 'name' );
			var type = $(this).attr( 'type' );
			//alert($('input[name='+name+']').val()+'--'+name);
			if(type=='checkbox' || type=='radio'){
				if(edit[name] == $(this).val()){
					$(this).prop('checked',true); 
				}else{
					$(this).prop('checked',false); 
				}
			}else{
				if(name == 'popup_template' || name == 'popup_success_action'){
					$(this).val( edit[name] );
					$(this).trigger("change");
				}else if(name == 'popup_autoresponder'){
					$(this).val( edit[name] );
					$(this).trigger("change",edit['popup_autoresponder_list']);
				}else{
					$(this).val( edit[name] );
				}
			}
		});

		global_template = edit['popup_template']; 

		if(edit['popup_template'] == 'template1'){
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_title]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_description]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_cls_btn]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_title_color]').trigger('change');
			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn]').trigger('change');			 
			set_prev_image( $('.vtps_add_popup').find('.vtps_popup_field[name=i_left_attachment_url]') );
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_cross_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_hv_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_hv_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_left_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_right_bg_color]').trigger('change'); 
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_success_action]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_enm]').trigger('change');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_active]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_setting_post_name]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_setting_page_name]').trigger('change');
						 
		}

		if(edit['popup_template'] == 'template2'){
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_title]').trigger('keyup');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_cls_btn]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_title_color]').trigger('change');
			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn]').trigger('keyup');
			set_prev_image( $('.vtps_add_popup').find('.vtps_popup_field[name=i_left_attachment_url]') );
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_cross_bg_color]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_hv_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_hv_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_main_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_button_border_color]').trigger('change');
			 
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title_color]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_success_action]').trigger('change');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_enm]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_active]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_setting_post_name]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_setting_page_name]').trigger('change');
			
		}  
		if(edit['popup_template'] == 'template3'){ 
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_title]').trigger('keyup');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_cls_btn]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_title_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn]').trigger('keyup');
			set_prev_image( $('.vtps_add_popup').find('.vtps_popup_field[name=i_bg_attachment_url]') );
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_cross_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_hv_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_hv_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_main_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_button_border_color]').trigger('change');
			 
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_success_action]').trigger('change');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_enm]').trigger('keyup');		
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_active]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_setting_post_name]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_setting_page_name]').trigger('change');
		}
		if(edit['popup_template'] == 'template4'){
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_title]').trigger('keyup');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_cls_btn]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_title_color]').trigger('change');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn]').trigger('keyup');			  
			set_prev_image( $('.vtps_add_popup').find('.vtps_popup_field[name=i_left_attachment_url]') );
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_cross_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_hv_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_hv_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_left_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_right_bg_color]').trigger('change'); 
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title_bg]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_success_action]').trigger('change');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_enm]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_active]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_setting_post_name]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_setting_page_name]').trigger('change');			 	
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_button_border_color]').trigger('change');
		}
		if(edit['popup_template'] == 'template5'){
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_title]').trigger('keyup');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_cls_btn]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_title_color]').trigger('change');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_description]').trigger('keyup'); 
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn]').trigger('keyup');			  
			set_prev_image( $('.vtps_add_popup').find('.vtps_popup_field[name=i_bg_attachment_url]') );
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_cross_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_hv_bg_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_btn_hv_color]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_left_bg_color]').trigger('change');	
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_sub_title_color]').trigger('change');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_success_action]').trigger('change');			
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_enm]').trigger('keyup');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_active]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_setting_post_name]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_setting_page_name]').trigger('change');
			$('.vtps_add_popup').find('.vtps_popup_field[name=popup_button_border_color]').trigger('change'); 
			
		}
		
		if(edit['popup_template'] == 'Custom HTML'){
			$('.vtps_add_popup').find('.vtps_popup_field[name=vtps_popup_custom_html]').trigger('keyup');
			
		}			
		
 
		$('#vtps_popup_id').val(popup_id);
		$('#vtps_close_popup_form').show();
		$('.vtps_popup_tables').fadeOut(300);
		$('.vtps_add_popup').fadeIn(300);

	}); 

	$('.vtps_popup_delete').click(function(e){ 
		e.preventDefault();
		var popup_id = $(this).data('popup_id');
		if(confirm("Are you sure?")){ 
			var obj = $(this);
			$.ajax({ 
				type:"post", 
				url:ajaxurl,			
				data:{ 'action' : 'vtps_popup_settings', 'popup_id' : popup_id, 'key' : 'delete' }, 
				success:function(data){	
					var result = jQuery.parseJSON(data);
					if(result.success){					
						obj.parents('tr').remove();
					}else{
						alert(result.error);
					}	
				}, 			  
			});	
		}

	});

	$('.vtps_upload_image').click(function(e){
		e.preventDefault();
		var obj = $(this);
		wp.media.editor.send.attachment = function(props, attachment){
			obj.prev().prev().val(attachment.id);
			obj.prev().val(attachment.url);
			obj.next('.vtps_preview_image').html('<img src="'+attachment.url+'" alt="">');

			var cls = obj.prev().data('pop_cls');
    		var req = obj.prev().data('req');
    		var obj_prev = $('.vtps_popup_'+ global_template +' .'+cls);
    		if(cls != undefined && req != undefined){
    			if(obj_prev.attr('src') == undefined){
    				obj_prev.css({'background-image':"url("+attachment.url+")"});
    			}else{
    				obj_prev.attr('src',attachment.url);
    			}
    		}

		}   
		wp.media.editor.open();
		return false; 
	});

	$('.vtps_remove_upload_image').click(function(e){
		e.preventDefault();
		$(this).prev().html('');
		$(this).parents('.form_group').find('input[name=i_attachment_id]').val('');

		var cls = $(this).parents('.form_group').find('input[name=i_attachment_url]').data('pop_cls');
		var req = $(this).parents('.form_group').find('input[name=i_attachment_url]').data('req');
		var obj_prev = $('.vtps_popup_'+ global_template +' .'+cls);
		if(cls != undefined && req != undefined){
			var url = obj_prev.data('url');
			if(obj_prev.attr('src') == undefined){
				obj_prev.css({'background-image':"url("+url+")"});
			}else{
				obj_prev.attr('src',url);
			}
		}

	});
	
	$('.vtps_remove_upload1').click(function(e){
		e.preventDefault(); 
		$(this).prev().html('');
		$(this).parents('.form_group').find('input[name=i_left_attachment_id]').val('');

		var cls = $(this).parents('.form_group').find('input[name=i_left_attachment_url]').data('pop_cls');
		var req = $(this).parents('.form_group').find('input[name=i_left_attachment_url]').data('req');
		var obj_prev = $('.vtps_popup_'+ global_template +' .'+cls);
		if(cls != undefined && req != undefined){
			var url = obj_prev.data('url');
			if(obj_prev.attr('src') == undefined){
				obj_prev.css({'background-image':"url("+url+")"});
			}else{
				obj_prev.attr('src',url);
			}
		}

	});
	$('.vtps_remove_upload2').click(function(e){
		e.preventDefault();
		$(this).prev().html('');
		$(this).parents('.form_group').find('input[name=i_bg_attachment_id]').val('');

		var cls = $(this).parents('.form_group').find('input[name=i_bg_attachment_url]').data('pop_cls');
		var req = $(this).parents('.form_group').find('input[name=i_bg_attachment_url]').data('req');
		var obj_prev = $('.vtps_popup_'+ global_template +' .'+cls);
		if(cls != undefined && req != undefined){  
			var url = obj_prev.data('url');
			if(obj_prev.attr('src') == undefined){
				obj_prev.css({'background-image':"url("+url+")"});
			}else{
				obj_prev.attr('src',url);
			}
		}

	});

	function set_prev_image(obj){

		if(obj.prev().val() == '') return false;

		var cls = obj.data('pop_cls');
		var req = obj.data('req');
		var val = obj.val();
		var obj_prev = $('.vtps_popup_'+ global_template +' .'+cls);
		if(cls != undefined && req != undefined){
			if(obj_prev.attr('src') == undefined){
				obj_prev.css({'background-image':"url("+val+")"});
			}else{
				obj_prev.attr('src',val);
			}
			obj.next().next('.vtps_preview_image').html('<img src="'+val+'" alt="">');
		}
	}
	/*$('.vtps_export_lead_csv_file').click(function(e){
		e.preventDefault();
		var data = $(this).data('lead');
		$.ajax({ 
			type:"post",
			url:ajaxobject.ajaxurl,			
			data:{ 'action' : 'export_lead_csv_file', 'leaddata' : data },
			success:function(data){	
				console.log(data);	
			}, 			  
		});	
	});*/

	var d_chart = true, w_chart = true, y_chart = true, chart_show = '';

	//bar chart tabs script
	$('.bar_chart_tabs ul li').on('click',function(){
		$('.bar_chart_tabs ul li').removeClass("active");
		$(this).addClass("active");
		var content= $(this).attr('data-show');
		$(".vtps_bar_chart_content").removeClass("active");
		$("#"+content).addClass("active");
		chart_show = content;
		if(content == 'day_chart' && d_chart){
			var chart_data = $("#"+content).data('chart');
			if(chart_data == '') return false;
			chart_data = jQuery.parseJSON( atob( chart_data ) );
			bar_chart(chart_data, 'vtps_day_chart');
			d_chart = false;
		}
		if(content == 'week_chart' && w_chart){
			var chart_data = $("#"+content).data('chart');
			if(chart_data == '') return false;
			chart_data = jQuery.parseJSON( atob( chart_data ) );
			bar_chart(chart_data, 'vtps_week_chart');
			w_chart = false;
		}
		if(content == 'month_chart' && y_chart){
			var chart_data = $("#"+content).data('chart');
			if(chart_data == '') return false;
			chart_data = jQuery.parseJSON( atob( chart_data ) );
			bar_chart(chart_data, 'vtps_month_chart');
			y_chart = false;
		}
	});

	function bar_chart(chart_data, id){
		Morris.Bar({
			element: id,
			data: chart_data,
			xkey: 'y',
			ykeys: ['a'],
			labels: ['Visitor']
		}).on('click', function(i, row) {
			$('.vtps_loader_stats').show();
			$.ajax({ 
				type:"post",
				url:ajaxobject.ajaxurl,			
				data:{ 'action' : 'vtps_get_stats_data_post', 'bar_chart_date_data' : true, 'date' : row.y, 'chart_show' : chart_show },
				success:function(data){	
					var result = jQuery.parseJSON(data);	
					console.log(result);
					if(result.success){
						$('#vtps_sts_pop_1 .vtps_stats_box').hide();
						$('#vtps_sts_pop_1 .vtps_pop_table').html(result.html);
						$(".vtps_stats_tbl_pop_wrap").show(500);
					}
					$('.vtps_loader_stats').hide();	
				}, 			  
			});
		});
	}

	$('.vtps_chart_popup_btn').click(function(e){
		e.preventDefault();
		var arr = { 'action' : 'vtps_get_stats_data_post', 'bar_chart' : true };
		$('.vtps_loader_stats').show();
		$.ajax({ 
			type:"post",
			url:ajaxobject.ajaxurl,			
			data:arr,
			success:function(data){	
				var result = jQuery.parseJSON(data);	
				//console.log(result);
				if(result.success){
					$('#vtps_sts_pop_1 .vtps_stats_box').hide();
					$('#vtps_sts_pop_1 .vtps_pop_table').html(result.html);
					$('.vtps_loader_stats').hide();	
					$(".vtps_stats_tbl_pop_wrap").show(500);
				}
			}, 			  
		});	
	});
	//stats details tab js
	$('.vtps_pop_table').on('click', '.vtps_stats_tab ul li',function(){
			//$('.vtps_stats_tab ul li').removeClass("active");
			$(this).parents('.vtps_stats_tab').find('ul li').removeClass("active");
			$(this).addClass("active");
			var content= $(this).attr('data-show');
			//$(".vtps_stats_tab_content").removeClass("active");
			$(this).parents('.vtps_stats_tab').find('.vtps_stats_tab_content').removeClass("active");
			$("#"+content).addClass("active");
	});

	$('.vtps_pop_table').on('click', '.vtps_click_anchor',function(){
		window.open(($(this).attr('href')),'_blank');
	});
	
	//chart list table scroll
	var vtps_c_t = 0;
	$('.chart_list .country_table table tr').each(function(){
		vtps_c_t++;
		var newID ='country_'+vtps_c_t;
		$(this).attr('id',newID);
		if (vtps_c_t > 20) {
			$(this).parents(".country_table").addClass('scroll_div');
		}
	});

	function get_social_data( get ){
		var arr = { 'action' : 'get_social_stats_data', 'get' : get }
		$('.vtps_loader_social_stats').show();
		$.ajax({ 
			type:"post",
			url:ajaxobject.ajaxurl,			
			data:arr,
			success:function(data){	
				var result = jQuery.parseJSON(data);
				$('.engage_table table tbody').html('');	
				if(result.length){
					var html = '';
					for(var i =0;i<result.length;i++){

						if(result[i].total == 0) continue;

						html += '<tr>';	
							html += '<td class="vtps_get_visitor_post" data-show="vtps_sts_pop_1" data-post_id="'+result[i].id+'">'+result[i].title+'</td>';

							html += '<td>';
							for(var j=0;j<result[i].social.length;j++){
								html += '<p>'+result[i].social[j]+'</p>';
							}
							html += '</td>';

							html += '<td>';
							for(var j=0;j<result[i].visitor.length;j++){
								html += '<p>'+result[i].visitor[j]+'</p>';
							}
							html += '</td>';

							html += '<td>'+result[i].date+'</td>';
							html += '<td>'+result[i].total+'</td>';
						html += '</tr>';
						$('.engage_table table tbody').append( html );
						html = '';
					}
				}else{
					$('.engage_table table tbody').append( "<tr class='vtps_ens_empty'><td colspan='5'>No post found.</td></tr>" );
				}
				$('.vtps_loader_social_stats').hide();
			}, 			  
		});	
	}

	$('.vtps_get_social_stats_data').click(function(e){
		e.preventDefault();
		var get = $(this).data('get');
		get_social_data(get);
	});

	$('.vtps_autoresponder_custom_html_forms').on('click','.vtps_autoresponder_custom_html_submit',function(e){
		e.preventDefault();
		var arr = {'action':'save_subscriber_setting', 'custom_html_form':'yes'};

		var obj = $(this);		

		var name = $(this).parents('.vtps_autoresponder_custom_html_form').find('.autoresponder_name').val();
		var custom_html = $(this).parents('.vtps_autoresponder_custom_html_form').find('.autoresponder_html').val();

		$(this).parents('.vtps_autoresponder_custom_html_form').find('.autoresponder_name').next('span').text('');
		$(this).parents('.vtps_autoresponder_custom_html_form').find('.autoresponder_html').next('span').text('');

		if(name==''){
			$(this).parents('.vtps_autoresponder_custom_html_form').find('.autoresponder_name').next('span').text('Autoresponder Name is required.');
			return false;
		}

		if(custom_html==''){
			$(this).parents('.vtps_autoresponder_custom_html_form').find('.autoresponder_html').next('span').text('Autoresponder Html is required.');
			return false;
		}
		arr['name'] = name;
		arr['custom_html'] = custom_html;

		if($(this).parents('.vtps_autoresponder_custom_html_form').find('.autoresponder_edit_id').length){
			arr['edit_id'] = $(this).parents('.vtps_autoresponder_custom_html_form').find('.autoresponder_edit_id').val();
		}

		obj.next('.vtps_loading').show();
		obj.next().next('span').html('');

		$.ajax({ 
			type:"post",
			url:ajaxobject.ajaxurl,			
			data:arr,
			success:function(data){	
				var result = jQuery.parseJSON(data);	
				if(result.success){
					obj.next('.vtps_loading').hide();
					obj.next().next('span').html('Settings saved.');
				}
			}, 			  
		});	
	});

	$('.vtps_autoresponder_custom_html_forms').on('click','.vtps_autoresponder_form_close',function(e){
		e.preventDefault();
		var arr = {'action':'save_subscriber_setting', 'custom_html_form':'yes', 'delete':'yes'};
		arr['edit_id'] = $(this).data('edit_id');
		var obj = $(this);
		if(confirm('Are you sure?')){
			$.ajax({ 
				type:"post",
				url:ajaxobject.ajaxurl,			
				data:arr,
				success:function(data){	
					obj.parents('.vtps_autoresponder_custom_html_form').remove();
				}, 			  
			});	
		}
	});
	
	//engage stats tab menu active class
	jQuery('.vtps_engage_stats_top ul li').eq(0).addClass("active");
	jQuery('.vtps_engage_stats_top ul li').on('click',function(e){
		e.preventDefault();
		jQuery(".vtps_engage_stats_top ul li").removeClass('active');
		jQuery(this).addClass('active');
	});

	$('.vtps_email_status').click(function(e){
		e.preventDefault();
		var autoresponder = $(this).data('autoresponder');
		var list_id = $(this).data('list_id');
		var email = $(this).data('email');
		var obj = $(this);
		$.ajax({ 
			type:"post",
			url:ajaxobject.ajaxurl,			
			data: { 'action':'get_subscriber_setting', 'responder':autoresponder, 'list_id':list_id, 'get':'status', 'email':email },
			success:function(data){
				console.log(data);
				var result = jQuery.parseJSON(data);		
				if(result.output == 'Active')
					obj.parent().html('<p style="color:green;">'+result.output+'</p>');
				else
					obj.parent().html('<p style="color:red;">'+result.output+'</p>');
			}, 			  
		});	
	});

	function set_last_seen_tab(k, v){
		$.ajax({ 
			type:"post",
			url:ajaxobject.ajaxurl,			
			data: { 'action':'set_last_tab', 'key':k, 'value':v },
			success:function(data){
				//console.log(data);
			}			  
		});
	}
	//table scroll  
	var pop_table_i= 0;
	$(".vtps_pop_stng_tbl table tr").each(function(){
		pop_table_i++;
		var rowid = 'pop_row_'+pop_table_i;
		$(this).attr("id",rowid);
		if (pop_table_i > 10) {
			$(this).parents(".vtps_pop_stng_tbl").addClass('pop_scroll_div');
		}
	});
	
	$(document).on("click",".wp_ps_welcome_popupdata_table .hs_view_user",function(){		
		var arr = {}, obj = $(this);
		var uid = $( this ).prev().val();
		arr['uid'] = uid; 
		arr['action'] = 'vtps_view_user_settings';	 			
		
		
		$.ajax({  
			type:"post",
			url:ajaxurl,			
			data:arr, 
			success:function(data){				
				$('.user_view_popup_box').addClass('user_popup_open').html(data);
					
			},
		});	
	});
	$(document).on("click",".wp_ps_welcome_popupdata_table .hs_delete_user",function(){		
		var arr = {}, obj = $(this);
		var uid = $( this ).prev().prev().val();
		 
		arr['uid'] = uid;  
		arr['action'] = 'vtps_delete_user_settings';
		if (confirm('Do You Want Delete. ?')) {	
		$(this).closest('tr').remove();	
			$.ajax({
				type:"post",  
				url:ajaxurl,
				data:arr, 
				success:function(data){										
				},
			});
		}	
		
		
	});
	
		$(document).on("click",".wp_ps_welcome_popupdata_table .user_popup_close",function(){
		$('.user_view_popup_box').removeClass('user_popup_open').html('');
	});
	
	
	
	$(document).on("click",".vtps_question_audio_btn",function(e){	
		e.preventDefault();
		var obj = $(this);
		wp.media.editor.send.attachment = function(props, attachment){
			obj.prev().prev().prev().html('');
			obj.prev().prev().prev().html(attachment.filename);
			obj.prev().prev().val(attachment.id); 
			obj.prev().val(attachment.url);
		}    
		wp.media.editor.open();
		return false; 
	});
	$(document).on("click",".vtps_question_edit_audio_btn",function(e){	
		e.preventDefault();
		var obj = $(this);
		wp.media.editor.send.attachment = function(props, attachment){
			obj.prev().prev().prev().html('');
			obj.prev().prev().html(attachment.filename);
			obj.prev().val(attachment.id); 
			
		}    
		wp.media.editor.open();
		return false; 
	}); 
	
	$(document).on("click",".vtps_setting_btn",function(e){	
		e.preventDefault();
		var obj = $(this);
		wp.media.editor.send.attachment = function(props, attachment){
			obj.prev().prev().prev().html('');
			obj.prev().prev().prev().html(attachment.filename);
			obj.prev().prev().val(attachment.id);  
			obj.prev().val(attachment.url);			
		}   
		wp.media.editor.open();
		return false;  
	});
	
	$(document).on("click",".vtps_setting_custom_robot_btn",function(e){	
		e.preventDefault();
		var obj = $(this);
		wp.media.editor.send.attachment = function(props, attachment){
			obj.prev().prev().prev().html('');
			var ImgSrc = "<img src='"+attachment.url+"' id='vtps_robot_cst_img' width='100' height='100'>";
			obj.prev().prev().prev().html(ImgSrc);
			obj.prev().prev().val(attachment.id);  
			obj.prev().val(attachment.url);			
		}     
		wp.media.editor.open();
		return false; 
	});
	
	//$('#popupdata_table_main').DataTable(); 	
	//$('#popupdata_div_question').DataTable(); 	
	$(document).on("change","#vtps_setting_speech_type",function(e){	
		e.preventDefault();	
		var type = $(this).val();
		if(type=='Speech Text'){						
			 $('.vtps_setting_speech_audio').hide();
		}else if(type=='Speech Audio'){			
			 $('.vtps_setting_speech_audio').show();
		}	 
	     
	}); 
	var sett_front = $('#vtps_setting_speech_type').val();
	if(sett_front=='Speech Text'){  	
	$('.vtps_setting_speech_audio').hide();
	}else{		
	$('.vtps_setting_speech_audio').show();
	}
	
	$(document).on("change","#vtps_robot_type_main",function(e){	
		e.preventDefault();	
		var type = $(this).val();
		if(type=='Pre-define Robot'){						
			 $('.vtps_robot_type_pre').show();
			 $('.vtps_robot_type_custom').hide();
		}else if(type=='Custom Robot'){			
			$('.vtps_robot_type_pre').hide();
			$('.vtps_robot_type_custom').show();
		}	     
	}); 
	var sett_rfront = $('#vtps_robot_type_main').val();
	if(sett_rfront=='Pre-define Robot'){  	
		 $('.vtps_robot_type_pre').show();
		 $('.vtps_robot_type_custom').hide();
	}else{
		$('.vtps_robot_type_pre').hide();
		 $('.vtps_robot_type_custom').show();
	}
	
	$(document).on("click",".hs_question_delete",function(){		
		var arr = {}, obj = $(this);
		var qid = $( this ).prev().prev().val();
		
		arr['qid'] = qid;  
		arr['action'] = 'vtps_delete_que_settings';				
		 
		if (confirm('Do You Want Delete. ?')) {	
		$(this).closest('tr').remove();	
			$.ajax({
				type:"post", 
				url:ajaxurl,
				data:arr, 
				success:function(data){										
				},
			});
		}
		
	});
	
	$(document).on("click",".vtps_question_edit",function(){		
		var arr = {}, obj = $(this);
		$('.vtps_ques_popup').html('');
		var qid = $( this ).prev().val();
		
		arr['qid'] = qid;  
		arr['action'] = 'vtps_edit_que_settings';	
			$.ajax({
				type:"post", 
				url:ajaxurl,
				data:arr, 
				success:function(data){
					$('.vtps_ques_popup').addClass('vtps_ques_popup_open');	
					$('.vtps_ques_popup').html(data);					
				},
			});		
	});
	
	$(document).on("click","#vtps_question_edit_btn",function(){		
		var arr = {}, obj = $(this),bool = false;
		var type =  $("#vtps_edit_question_type").val();
		var name =  $("#vtps_question_edit_name").val();
		var audio_id =  $("#vtps_question_edit_audio_id").val();
		var qst_id =  $("#vtps_question_edit_id").val();
		
		
		if(type == undefined || type  == '' ){
			$('.vtps_error').text("Please Select type");
			return false; 
		} 
		
		if(name == undefined || name  == '' ){
				$('.vtps_error').text("Please enter question");
				return false;
			}
		
		var audio_ids;
		if(type=='Audio'){
			if(audio_id == undefined || audio_id  == '' ){
				$('.vtps_error').text("Please Upload Audio");
				return false; 
			}
			audio_ids = audio_id; 
		}else{
			audio_ids = '';
		}  
		
		var ans = [];		
		$('.vtps_fields_answer_main input[name="vtps_edit_qanswer[]"').each(function( index, value ){  
			var val = $(this).val();
			if(val == ''){
				bool = true;
				return false;
			}	  
							
			var v = $(this).val();
			var a = $(this).data('a_id');
			var data = {'v':v,'a':a};
			ans.push(data);
		});  
		arr['all_data'] = ans;  
		if(bool === true){  
			$('.vtps_error').text('All fields are required.');
			return false; 
		}
		
		arr['question_name'] = name;
		arr['question_type'] = type; 
		arr['question_audio_id'] = audio_ids;					
		arr['question_update_id'] = qst_id;					
		arr['action'] = 'vtps_question_update_settings';				
		$('.hs_loading').show();  
		 
		console.log(arr);		 
		   
		 $.ajax({  
			type:"post", 
			url:ajaxurl,			
			data:arr,
			success:function(data){	
				console.log(data);	
				var result = jQuery.parseJSON(data);
				if(result.success){					
					$('.vtps_qst_edit_success').html(result.success);
					$('.vtps_qst_edit_success').delay(1000).fadeOut();
					//$('.vtps_ques_popup').removeClass('vtps_ques_popup_open');
					location.reload(); 			
				}else{
					$('.vtps_qst_edit_error').html(result.error);
				}	 
				  
			},
		});	
		
		
	});	
	$(document).on('change',  '#vtps_edit_question_type' , function() { 
		var type = $(this).val();
		if(type=='Text'){ 
			 $('.vtps_question_edit_audio').hide();
		}else{
			$('.vtps_question_edit_audio').show();			
		}
	}); 	
	
	
	
	$('body').on('click', '#vtps_question_main_setting', function(e){
		var arr = {}, obj = $(this), bool = false; $('.vtps_error').text('');
		var qust_ans =  $('input[name=vtps_setting_qust_ans]:checked').val();
		
		arr['setting_qust'] = qust_ans; 
		arr['action'] = 'vtps_front_qust_settings';			
		$('.hs_q_loading').show(); 
		$.ajax({   
			type:"post",
			url:ajaxurl,			
			data:arr,
			success:function(data){	
				var result = jQuery.parseJSON(data);				
				if(result.success){ 
				
					$('.vtps_q_success').html(result.success);	
					$('.vtps_q_success').delay(1000).fadeOut();
					$('.hs_q_loading').hide();
					location.reload();
				}
				
			}, 
		});
			
	});	
	
	$('body').on('click', '#vtps_popup_main_setting', function(e){
		var arr = {}, obj = $(this), bool = false; $('.vtps_p_error').text('');
		var popup_front =  $('input[name=vtps_setting_popup_front]:checked').val(); 
		
		arr['setting_popup'] = popup_front; 
		arr['action'] = 'vtps_front_popup_settings';			
		$('.hs_p_loading').show(); 
		$.ajax({   
			type:"post",
			url:ajaxurl,			
			data:arr,
			success:function(data){	
				var result = jQuery.parseJSON(data);				
				if(result.success){ 
					$('.vtps_p_success').html(result.success);	
					$('.vtps_p_success').delay(1000).fadeOut();
					$('.hs_p_loading').hide();
					location.reload();
				}
				
				
			}, 
		});
			
	});
	
	
	/* $('.vtps_question_edit').on('click',function(){
		$('.vtps_ques_popup').addClass('vtps_ques_popup_open');
	}); */
	$(document).on("click",".vtps_ques_popup_close",function(){	
		$('.vtps_ques_popup').removeClass('vtps_ques_popup_open');
	});
	
	$(document).on("click",".wp_ps_trigger_textcopy_close",function(){
		$('.wp_ps_trigger_textcopy').removeClass('wp_ps_copy_popup_open');
	}); 
	 
	$(document).on("click",".wp_ps_situationcopy",function(){		
		var arr = {}, obj = $(this);
		$('.wp_ps_trigger_textcopy').html('');
		var tid = $(this).attr('situation_copykey');
		
		  
		arr['tid'] = tid;  
		arr['action'] = 'vtps_triggers_shortcode';	
			$.ajax({
				type:"post", 
				url:ajaxurl,
				data:arr, 
				success:function(data){
					console.log(data);
					$('.wp_ps_trigger_textcopy').html(data);
					$('.wp_ps_trigger_textcopy').addClass('wp_ps_copy_popup_open');
										
				},
			});		 
	}); 
	 

});
function getUrlParameter(sParam) {
    var sPageURL = decodeURIComponent(window.location.search.substring(1)),
        sURLVariables = sPageURL.split('&'),
        sParameterName,
        i;

    for (i = 0; i < sURLVariables.length; i++) {
        sParameterName = sURLVariables[i].split('=');

        if (sParameterName[0] === sParam) {
            return sParameterName[1] === undefined ? true : sParameterName[1];
        }
    }
};
