<?php
class exitintentpopup_public{
	/**
	 * The unique identifier of this plugin.
	 *
	 * @since    1.0.0
	 * @access   protected
	 * @var      string    $plugin_name    The string used to uniquely identify this plugin.
	 */
	protected $plugin_name;

	/**
	 * The current version of the plugin.
	 *
	 * @since    1.0.0
	 * @access   protected
	 * @var      string    $version    The current version of the plugin.
	 */
	protected $version;
	
	protected $vtaa_registrater_sidebars;
	protected $enabled_vt_composer;
	
	/**
	 * Define custom post type, meta option and settings.
	 *
	 * @since	1.0.0
	 */
	public function __construct( $plugin_name, $version ){
		$version = $this->version;
		$plugin_name = $this->plugin_name;
		 
		$this->enabled_vt_composer = defined('WPB_VC_VERSION') && function_exists('vt_disable_frontend');

		/* aweber */
		add_action( 'wp_ajax_exitintentpopup_awebersubmit', array($this,'exitintentpopup_awebersubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_awebersubmit', array($this,'exitintentpopup_awebersubmit') );
		/* aweber */
 
		/* mailchimp */
		add_action( 'wp_ajax_exitintentpopup_mailchimpsubmit', array($this,'exitintentpopup_mailchimpsubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_mailchimpsubmit', array($this,'exitintentpopup_mailchimpsubmit') );
		/* mailchimp */

		/* getresponse */
		add_action( 'wp_ajax_exitintentpopup_getresponsesubmit', array($this,'exitintentpopup_getresponsesubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_getresponsesubmit', array($this,'exitintentpopup_getresponsesubmit') );
		/* getresponse */
		
		/* constant contact */
		add_action( 'wp_ajax_exitintentpopup_constantcontactsubmit', array($this,'exitintentpopup_constantcontactsubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_constantcontactsubmit', array($this,'exitintentpopup_constantcontactsubmit') );
		/* constant contact */
		
		/* icontact */
		add_action( 'wp_ajax_exitintentpopup_icontactsubmit', array($this,'exitintentpopup_icontactsubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_icontactsubmit', array($this,'exitintentpopup_icontactsubmit') );
		/* icontact */
		
		/* campaignmonitor */
		add_action( 'wp_ajax_exitintentpopup_campaignmonitorsubmit', array($this,'exitintentpopup_campaignmonitorsubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_campaignmonitorsubmit', array($this,'exitintentpopup_campaignmonitorsubmit') );
		/* campaignmonitor */
		
		/* activecampaign */
		add_action( 'wp_ajax_exitintentpopup_activecampaignrsubmit', array($this,'exitintentpopup_activecampaignrsubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_activecampaignrsubmit', array($this,'exitintentpopup_activecampaignrsubmit') );
		/* activecampaign */
		
		/* hubspot */
		add_action( 'wp_ajax_exitintentpopup_hubspotsubmit', array($this,'exitintentpopup_hubspotsubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_hubspotsubmit', array($this,'exitintentpopup_hubspotsubmit') );
		/* hubspot */
		/* Sendlane */
		add_action( 'wp_ajax_exitintentpopup_sendlanesubmit', array($this,'exitintentpopup_sendlanesubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_sendlanesubmit', array($this,'exitintentpopup_sendlanesubmit') );
		/* Sendlane */
		/* SendReach */
		add_action( 'wp_ajax_exitintentpopup_sendreachsubmit', array($this,'exitintentpopup_sendreachsubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_sendreachsubmit', array($this,'exitintentpopup_sendreachsubmit') );
		/* SendReach */
		
		/* sendinblue */
		add_action( 'wp_ajax_exitintentpopup_sendinbluesubmit', array($this,'exitintentpopup_sendinbluesubmit') );
		add_action( 'wp_ajax_nopriv_exitintentpopup_sendinbluesubmit', array($this,'exitintentpopup_sendinbluesubmit') );
		/* sendinblue */
	} 
  
	public function enqueue_scripts(){
		wp_enqueue_script( 'exitintentpopup-custom', plugin_dir_url(__FILE__) . 'js/exitintentpopup.js', array('jquery'), $this->version, false );
		wp_enqueue_script( 'exitintentpopup-textcookie', plugin_dir_url(__FILE__) . 'js/vt-textcookie.js', array('jquery'), $this->version, false );
		 
		//wp_enqueue_script( 'exitintentpopup-custom' );
			wp_localize_script('exitintentpopup-custom', 'ajaxobject', array(
					'ajaxurl' => admin_url( 'admin-ajax.php' ),
				)
			);  
		
	}
 
	public function enqueue_styles(){
		wp_enqueue_style( 'exitintentpopup-style', plugin_dir_url(__FILE__) . 'css/exitintentpopup.css' );
		wp_enqueue_style( 'vtaa-popupstyle', plugin_dir_url(__FILE__) . 'css/vtaa_popupstyle.css' );
		wp_enqueue_style( 'vtaa-animated', plugin_dir_url(__FILE__) . 'css/animate.css' );
	}
	

	public function wp_footer(){
		global $wpdb; 
		$post_id = get_the_ID();
 
		if((isset($_COOKIE['vt_popup_post_id']))){			
			if($_COOKIE['vt_popup_post_id'] != $post_id){
				require_once plugin_dir_path( dirname( __FILE__ ) ) . 'public/partials/autoresponder_popup.php';
			}			
		}else{			
			require_once plugin_dir_path( dirname( __FILE__ ) ) . 'public/partials/autoresponder_popup.php';
		}
	}	   
	 
	
	public function get_videoID($url){
		$parsed = parse_url($url);
		$hostname = $parsed['host']; 
		if($hostname == 'www.youtube.com' || $hostname == 'youtube.com'){
			parse_str( parse_url( $url, PHP_URL_QUERY ), $id );
			return 'http://www.youtube.com/embed/'.$id['v'].'?rel=0&autoplay=1&showinfo=0&controls=0&enablejsapi=1';
		}elseif($hostname=='vimeo.com'){
			$ArrV = explode('://vimeo.com/',$path); // from ID to end of the string
			$videoID = substr($ArrV[0],1,8); // to get video ID , always length is 8 characters
			return 'http://player.vimeo.com/video/'.intval($videoID);
		}else{
			return '';
		}
	}
 
	public function exitintentpopup_awebersubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_awebersubmit'){
			//print_r($_POST);
			require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/aweber/aweber_api.php';
			$aweberapi = get_option('vtaweber_authinfoDB');
			$listid = $_POST['listid'];
			if(!empty($aweberapi) && !empty($listid)){
				try{
					$aweber = new AWeberAPI($aweberapi['consumer_key'], $aweberapi['consumer_secret']);
					$account = $aweber->getAccount($aweberapi['access_key'], $aweberapi['access_secret']);
					$aweber_list = $listid;
					$list = $account->loadFromUrl('/accounts/' . $account->id . '/lists/' . $aweber_list);
					$custom_fields = $list->custom_fields;
					$exitintentpopup_custom_fields = array();
					/*try {*/
						foreach($_POST as $k=>$v){
							if(!($k == 'name' || $k == 'email' || $k == 'action' || $k == 'listid')){
								/* $field = get_option('exitintentpopup_'.$k);
								if($field != 'yes'){
									# setup your custom fields
									$custom_fields->create(array('name' => $k));
									update_option('exitintentpopup_'.$k,'yes');
								} */
								$exitintentpopup_custom_fields[$k] = $v;
							}
						}					
					/* }catch(AWeberAPIException $exc) {
						echo json_encode(array('error' => $exc->message ));
					} */
					if(!empty($exitintentpopup_custom_fields)){
						$subscriber = array( 
							'email' => $_POST['email'],
							'custom_fields' => $exitintentpopup_custom_fields,
							'ip' => $_SERVER['REMOTE_ADDR']
						);
					}else{
						$subscriber = array( 
							'email' => $_POST['email'],
							'ip' => $_SERVER['REMOTE_ADDR']
						);
					}
					
					if (!empty($_POST['name'])){ 
						$subscriber['name'] = $_POST['name'];  
					}
					$result = $list->subscribers->create($subscriber);
					//print_r($result);
					//print_r($subscriber);
					echo json_encode(array('success'=>'Subccribe Successfully.'));
				}catch(AWeberException $e){
					echo json_encode(array('error' => $e->message));
				}
			}else{
				echo json_encode(array('error' => 'Please ReCheck Aweber API Settings.'));
			}
			die();
		}
	}

	public function exitintentpopup_mailchimpsubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_mailchimpsubmit'){
			
			
			
			
			$apikey = get_option('vtmailchimp_apikey');
			$listId = $_POST['listid'];
			if(!empty($apikey) && !empty($listId)){
				require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/mailchimp/MCAPI.class.php';
				 
				$api = new Mailchimp( $apikey ); 
				$args = array(); 
				if(!empty($listId)){ 
					$retval = $api->post('/lists/'.$listId.'/members', array(
													'email_address' => $_POST['email'],
													'status'        => 'subscribed'     
								));
				} 
				if ($retval['status'] == 'subscribed'){
					echo json_encode(array('success' => 'Subccribe Successfully.'));
				}else{
					echo json_encode(array('error' => 'Please ReCheck Mailchimp API Settings.'));
				} 
			}
			die();
		}
	}
	 
	public function exitintentpopup_getresponsesubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_getresponsesubmit'){
			$apikey = get_option('vtgetresponse_apikey');
			$listId = $_POST['listid'];
			if(!empty($apikey) && !empty($listId)){
				require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/getresponse/jsonRPCClient.php';
				
				$api = new jsonRPCClient('http://api2.getresponse.com');
				try{
					
					if(!empty($listId)){
						$args = array(
							'campaign' => $listId,
							'email' => $_POST['email'],
						);
					}
					$arr = array();
					foreach($_POST as $k=>$v){
						if($k == 'name'){
							$args['name'] = $v;
						}
						if(!($k == 'name' || $k == 'email' || $k == 'action' || $k == 'listid')){
							$arr[] = array(
								'name'       => $k,
								'content'    => $v
							);
						}
					}
					$args['customs'] = $arr;
					//print_r($args);
					$res = $api->add_contact($apikey, $args);
					
					echo json_encode(array('success'=>'Subccribe Successfully.'));
					
				}catch (Exception $e){
					 
					echo json_encode(array('error' => $e->getMessage()));
					 
				}
				die();
			}
			die();
		}
	}   

	public function exitintentpopup_constantcontactsubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_constantcontactsubmit'){
			$ccinfo = get_option('vtconstantcontact_apikey');
			if(!empty($ccinfo) && !empty($_POST['listid'])){ 
				require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/constantcontact/class.cc.php';
				$cc = new cc($ccinfo['username'], $ccinfo['password']);
				$email = $_POST['email'];
				if(!empty($_POST['listid'])){
					$contact_list = $_POST['listid'];
				}
				$extra_fields = array();
				foreach($_POST as $k=>$v){
					if($k == 'name'){
						$extra_fields['FirstName'] = $v;
					}
					if(!($k == 'name' || $k == 'email' || $k == 'action' || $k == 'listid')){
						$extra_fields[$k] = $v;
					}
				}
				$contact = $cc->query_contacts($email);
				if ($contact){
				  echo json_encode(array('error' =>'This Email Already Subccribe'));
				}
				else{
					$new_id = $cc->create_contact($email, $contact_list, $extra_fields);
					if ($new_id){
						echo json_encode(array('success'=>'Subccribe Successfully.'));
					}else{
						echo json_encode(array('error' =>$cc->http_response_body));					
					}
				}
			}
			die();
		}
	}
	
	public function exitintentpopup_icontactsubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_icontactsubmit'){
			$icontactinfo = get_option('vticontact_apikey');
			if(!empty($icontactinfo) && !empty($_POST['listid'])){
				require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/icontact/iContactApi.php';
				
				iContactApi::getInstance()->setConfig(array(
					'appId' => $icontactinfo['appid'],
					'apiPassword' => $icontactinfo['apppassword'],
					'apiUsername' => $icontactinfo['username']
				));
				$listid = $_POST['listid'];
			
				$oiContact = iContactApi::getInstance();
				
				$arr = array();
				
				foreach($_POST as $k=>$v){
					if(!($k == 'name' || $k == 'email' || $k == 'action' || $k == 'listid')){
						$arr[$k] = $v;
					}
				}
				
				$res1 = $oiContact->addContact($_POST['email'], null, null, (isset($_POST['name']) ? $_POST['name'] : ''), null, null, null, null, null, null, null, null, null, null,$arr);
				if ($res1->contactId){
					if ($oiContact->subscribeContactToList($res1->contactId, $listid, 'normal')){
						echo json_encode(array('success'=>'Subccribe Successfully.'));
					}
				}else{
					echo json_encode(array('error' =>'Please ReCheck iContact API Settings.'));
				}
			}else{
				echo json_encode(array('error' =>'Please ReCheck iContact API Settings.'));
			}
			die();
		}
	}
	
	public function exitintentpopup_campaignmonitorsubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_campaignmonitorsubmit'){
			$campaignmonitorinfo = get_option('vtcampaignmonitor_apikey');
			if(!empty($campaignmonitorinfo) && !empty($_POST['listid'])){
				require_once plugin_dir_path( dirname( __FILE__ ) ) . '/includes/CampaignMonitor/csrest_subscribers.php';	
				
					$key = $campaignmonitorinfo['api_key'];
					$listID = $_POST['listid']; 
					if(!empty($listID)){ 
						$wrap = new CS_REST_Subscribers($listID, $key);
					}
					$args = array(
						'EmailAddress' => $_POST['email'],
						'Resubscribe' => true
					);
					if (!empty($_POST['name'])){
						$args['name'] = $_POST['name'];
					}
					$res = $wrap->add($args);
					if($res){
						echo json_encode(array('success'=>'Subccribe Successfully.'));
					}else{
						echo json_encode(array('error' =>'Please ReCheck Campaign Monitor API Settings.'));
					}
			die();
		}
	}
	}

	public function exitintentpopup_activecampaignrsubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_activecampaignrsubmit'){
			$activecampaigninfo = get_option('vtactivecampaign_apikey');
			if(!empty($activecampaigninfo) && !empty($_POST['listid'])){
				
				 
					$url = $activecampaigninfo['api_url'];
					$api_key = $activecampaigninfo['api_key'];
					$listID = $_POST['listid'];

					$params = array(
						'api_key'      => $api_key,
						'api_action'   => 'contact_add',
						'api_output'   => 'json'
					); 

					if (!empty($_POST['name']))
					{
						$fname = $_POST['name'];
					}
					else {
						$fname = '';
					}

					$post = array(
						'email'                    => $_POST['email'],
						'first_name'               => $fname,
						'tags'                     => 'api',
						'p[1]'                   => $listID,
						'status[1]'              => 1,
						'instantresponders[123]' => 1
					);

					$query = "";
					foreach( $params as $key => $value ) $query .= $key . '=' . urlencode($value) . '&';
					$query = rtrim($query, '& ');

					$data = "";
					foreach( $post as $key => $value ) $data .= $key . '=' . urlencode($value) . '&';
					$data = rtrim($data, '& ');

					$url = rtrim($url, '/ ');

					$api = $url . '/admin/api.php?' . $query;

					$request = curl_init($api);
					curl_setopt($request, CURLOPT_HEADER, 0);
					curl_setopt($request, CURLOPT_RETURNTRANSFER, 1);
					curl_setopt($request, CURLOPT_POSTFIELDS, $data);
					curl_setopt($request, CURLOPT_FOLLOWLOCATION, true);
					$response = (string)curl_exec($request);
					curl_close($request);

					if ( $response ) {
						$results = json_decode($response);
						if( $results->result_code != 0) {
							echo json_encode(array('success'=>'Subccribe Successfully.'));
						}else{
						echo json_encode(array('error' =>'Please ReCheck active campaign API Settings.'));
						}
					}
			die();
		}
	}
	}	 
	public function exitintentpopup_hubspotsubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_hubspotsubmit'){
			$hubspotinfo = get_option('vthubspot_apikey'); 
			if(!empty($hubspotinfo) && !empty($_POST['listid'])){
					$hapikey = $hubspotinfo['api_key'];
					$listID = $_POST['listid']; 
					 
					$arr = array( 
						'properties' => array(
							array(
								'property' => 'email',
								'value' => $_POST['email']
							),
							array(
								'property' => 'firstname',
								'value' => isset($_POST['name']) ? $_POST['name'] : ''
							),
						)
					); 
					$post_json = json_encode($arr);

					$endpoint = 'https://api.hubapi.com/contacts/v1/lists?count=100&lists=1908505&hapikey='. $hapikey.'&offset=0';

					$ch = @curl_init();
					@curl_setopt($ch, CURLOPT_POST, true);
					@curl_setopt($ch, CURLOPT_POSTFIELDS, $post_json);
					@curl_setopt($ch, CURLOPT_URL, $endpoint);
					@curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));
					@curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
					$response = @curl_exec($ch);
					@curl_close($ch);
					echo json_encode(array('success'=>'Subccribe Successfully.'));					
			die();
		}
	} 
	}
	public function exitintentpopup_sendlanesubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_sendlanesubmit'){
			$sendlaneinfo = get_option('vtsendlane_apikey'); 
			if(!empty($sendlaneinfo) && !empty($_POST['listid'])){							
					
			$url = $sendlaneinfo['user_url'];
			$api = $url . '/api/v1/list-subscribers-add';

			$email = $_POST['email'];
			$listID = $_POST['listid'];

			if (!empty($_POST['name'])){
				$fname = $_POST['name'];
			}else {
				$fname = '';
			}  
			$post = array(
				'api'    => $sendlaneinfo['api_key'],
				'hash'   => $sendlaneinfo['hash_key'],
				'email'   => $fname.'<'.$email.'>',
				'list_id' => $listID
			);
 
			$data = "";
			foreach( $post as $key => $value ) $data .= $key . '=' . urlencode($value) . '&';
			$data = rtrim($data, '& ');

			$request = curl_init($api);
			curl_setopt($request, CURLOPT_HEADER, 0);
			curl_setopt($request, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($request, CURLOPT_POSTFIELDS, $data);
			curl_setopt($request, CURLOPT_FOLLOWLOCATION, true);
 
			$response = (string)curl_exec($request);
			curl_close($request);

			if ($response != ''){
				echo json_encode(array('success'=>'Subccribe Successfully.'));
			}else{
				echo json_encode(array('error' =>'Subscribe unsuccessfully, please contact administrator for more information.'));
			}										
			die(); 
		}
	} 
	}
	public function exitintentpopup_sendreachsubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_sendreachsubmit'){
			$sendreachinfo = get_option('vtsendreach_apikey'); 
			if(!empty($sendreachinfo) && !empty($_POST['listid'])){							
				define('publicKey',$sendreach['public_key']);  
				define('privateKey',$sendreachinfo['private_key']);  		
				require_once  plugin_dir_path( dirname( __FILE__ ) ) . '/includes/SendReach/setup.php';
				 
			$email = $_POST['email'];
			$listID = $_POST['listid'];
			$fname = '';
			if (!empty($_POST['name'])){
				$fname = $_POST['name'];
			} 
			$endpoint   = new MailWizzApi_Endpoint_ListSubscribers();
			$response   = $endpoint->create($listID, array(
				'EMAIL' => $email,
				'FNAME' => $fname,
				'LNAME' => '',
			)); 
			$response   = $response->body;

			if ($response->itemAt('status') == 'success') {
				echo json_encode(array('success'=>'Subccribe Successfully.'));
			}else{
				echo json_encode(array('error' =>'Subscribe unsuccessfully, please contact administrator for more information.'));
			}							 				
			die();   
		}
	} 
	}	
	public function exitintentpopup_sendinbluesubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_sendinbluesubmit'){
			$sendinblueinfo = get_option('vtsendinblue_apikey'); 
			if(!empty($sendinblueinfo) && !empty($_POST['listid'])){							
				require_once  plugin_dir_path( dirname( __FILE__ ) ) . '/includes/Sendinblue/Mailin.php';	
			$key = $sendinblueinfo['api_key'];
			$listID = $_POST['listid'];
			$email = $_POST['email'];
			if (!empty($_POST['name'])){
				$fname = $_POST['name']; 
			}else {
				$fname = ''; 
			} 
			try{
				$mailin = new Mailin('https://api.sendinblue.com/v2.0',$key);
				try { 
					$data = array( "email" => $email,
						"attributes" => array("NAME"=>$fname, "SURNAME"=>''),
						"listid" => array($listID)
					);
					$res = $mailin->create_update_user($data);
					$result = array('success'=>'Subscribe successfully.');	
				} catch(Emma_Invalid_Response_Exception $e) {
					echo json_encode(array('error' =>'Subscribe unsuccessfully, please contact administrator for more information.'));
				} 
			} catch (Exception $e){
				echo json_encode(array('success'=>'Subccribe Successfully.'));
			}				
			die();    
		}
	} 
	}
	public function exitintentpopup_benchmarksubmit(){
		if(isset($_POST['action']) && $_POST['action'] == 'exitintentpopup_benchmarksubmit'){ 
			$benchmarkinfo = get_option('vtbenchmark_apikey'); 
			if(!empty($benchmarkinfo) && !empty($_POST['listid'])){						
				require_once  plugin_dir_path( dirname( __FILE__ ) ) . '/includes/Benchmark/BMEAPI.class.php'; 
				
			$benchmark_username = $benchmarkinfo['username'];
            $benchmark_password = $benchmarkinfo['password'];
            $benchmark_apiurl = 'http://www.benchmarkemail.com/api/1.0/';
			 
			$email = $_POST['email'];
            if (!empty($_POST['name'])) {
                 $fname = $_POST['name'];
            } else {
				$fname = '';
            }
			$listID = $_POST['listid'];
			try
			{
				$api = new BMEAPI($benchmark_username, $benchmark_password, $benchmark_apiurl);
				$details[0]["email"] = $email;
				$details[0]["firstname"] = $fname;
				$details[0]["lastname"] = '';
				
				if(!empty($listID)){
					$result = $api->listAddContacts($listID, $details);
				}
				
				if ($api->errorCode == ''){
					echo json_encode(array('success'=>'Subccribe Successfully.'));
				}elseif($api->errorCode == 214){
					
					echo json_encode(array('error'=>'This email already subscribe.'));
				}else{ 
					echo json_encode(array('error' =>'Subscribe unsuccessfully, please contact administrator for more information.'));
				} 
								
			} catch (Exception $e){ }	
							
			die();   
		}
	} 
	}
	
}
?>